2022-02-03  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: e0f3c52a3f2d018010f910f69e18b4af73333f22
	Prepare for glibc 2.35 release.

	* include/features.h: Modified.
	(__GLIBC_MINOR__): Modified.
	* version.h: Modified.
	(RELEASE): Modified.
	(VERSION): Modified.

2022-02-03  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: e0beb0c9f1ae5bbcbe0b0110df87eea2130a76f5
	Regenerate configure.

	* configure: Modified.
	* sysdeps/unix/sysv/linux/powerpc/configure: Modified.

2022-02-03  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 6415fd2ddc5b48c3a3fe79805840f18ec4bf3d00
	Update install.texi, and regenerate INSTALL.

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2022-02-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: a134ce82374eb5d4f4bc33901ab9987448d02af4
	Update NEWS bug list.

	* NEWS: Modified.

2022-02-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 32ffd427413ab08566bbc051441fa7cfc082309b
	Update NEWS.

	* NEWS: Modified.

2022-02-02  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: fbc14ab6f0c79e08d8bd0d2771e1a53f43e09393
	Update translations.

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sr.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2022-02-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6c33b018438ee799c29486f21d43d8100bdbd597
	Linux: Use ptrdiff_t for __rseq_offset

	* manual/threads.texi: Modified.
	* sysdeps/nptl/dl-tls_init_tp.c: Modified.
	(__rseq_offset): Modified.
	(__tls_init_tp): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/rseq.h: Modified.
	(__rseq_offset): Modified.
	(stddef.h): Include file.
	* sysdeps/unix/sysv/linux/x86_64/64/ld.abilist: Modified.

2022-02-02  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 80a08d0faa9b224019f895800c4d97de4e23e1aa
	Fix elf/tst-audit25a with default bind now toolchains

	* elf/Makefile: Modified.

2022-02-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6289d28d3c4e56f34830cfb011c31271ef850418
	posix: Replace posix_spawnattr_tc{get,set}pgrp_np with posix_spawn_file_actions_addtcsetpgrp_np

	* NEWS: Modified.
	* posix/Makefile: Modified.
	* posix/Versions: Modified.
	* posix/spawn.h: Modified.
	[__USE_GNU](POSIX_SPAWN_TCSETPGROUP): Remove.
	[__USE_GNU](posix_spawnattr_tcsetpgrp_np): Remove.
	[__USE_GNU](posix_spawnattr_tcgetpgrp_np): Remove.
	[__USE_GNU](posix_spawn_file_actions_addtcsetpgrp_np): New function.
	(posix_spawnattr_t): Modified.
	* posix/spawn_faction_addtcsetpgrp_np.c: New file.
	* posix/spawn_faction_destroy.c: Modified.
	(__posix_spawn_file_actions_destroy): Modified function.
	* posix/spawn_int.h: Modified.
	(__spawn_action): Modified.
	* posix/spawnattr_setflags.c: Modified.
	(ALL_FLAGS): Modified.
	* posix/spawnattr_tcgetpgrp.c: Delete file.
	* posix/spawnattr_tcsetpgrp.c: Delete file.
	* posix/tst-spawn6.c: Modified.
	(handle_restart): Modified function.
	(run_subprogram): Modified function.
	(do_test): Modified function.
	(stdlib.h): Include file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	(__spawni_child): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-02-02  Stafford Horne  <shorne@gmail.com>

	COMMIT: 3f35e7d193b7ff098467996ebf85b19c41d6d86e
	or1k: Define PI_STATIC_AND_HIDDEN

	* sysdeps/or1k/configure: New file.
	* sysdeps/or1k/configure.ac: New file.

2022-02-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 355bc7f736fb4cbc81979a7fce674858173f34cf
	SET_RELHOOK: merge i386 and x86_64, and move to sysdeps/mach/hurd/x86

	* sysdeps/generic/set-hooks-arch.h: Modified.
	* sysdeps/i386/set-hooks-arch.h: Move to...
	* sysdeps/mach/hurd/x86/set-hooks-arch.h: ... here.
	(SET_RELHOOK): Modified.
	* sysdeps/x86_64/set-hooks-arch.h: Delete file.

2022-02-01  Ben Woodard  <woodard@redhat.com>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ce9a68c57c260c8417afc93972849ac9ad243ec4
	elf: Fix runtime linker auditing on aarch64 (BZ #26643)

	* NEWS: Modified.
	* elf/rtld.c: Modified.
	(load_audit_module): Modified function.
	(dl-audit-check.h): Include file.
	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/bits/link.h: Modified.
	(La_aarch64_regs): Modified.
	(La_aarch64_retval): Modified.
	(La_aarch64_vector): New.
	* sysdeps/aarch64/dl-audit-check.h: New file.
	* sysdeps/aarch64/dl-link.sym: Modified.
	* sysdeps/aarch64/dl-trampoline.S: Modified.
	* sysdeps/aarch64/tst-audit26.c: New file.
	* sysdeps/aarch64/tst-audit26mod.c: New file.
	* sysdeps/aarch64/tst-audit26mod.h: New file.
	* sysdeps/aarch64/tst-audit27.c: New file.
	* sysdeps/aarch64/tst-audit27mod.c: New file.
	* sysdeps/aarch64/tst-audit27mod.h: New file.
	* sysdeps/aarch64/tst-auditmod26.c: New file.
	* sysdeps/aarch64/tst-auditmod27.c: New file.
	* sysdeps/generic/dl-audit-check.h: New file.

2022-02-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 32612615c58b394c3eb09f020f31310797ad3854
	elf: Issue la_symbind for bind-now (BZ #23734)

	* NEWS: Modified.
	* bits/link_lavcurrent.h: Modified.
	(LAV_CURRENT): Modified.
	* elf/Makefile: Modified.
	* elf/dl-audit.c: Modified.
	(_dl_audit_symbind): Modified function.
	* elf/do-rel.h: Modified.
	(elf_dynamic_do_Rel): Modified function.
	(ldsodefs.h): Include file.
	* elf/sotruss-lib.c: Modified.
	(la_symbind): Modified function.
	(err.h): Include file.
	* elf/tst-audit24a.c: New file.
	* elf/tst-audit24amod1.c: New file.
	* elf/tst-audit24amod2.c: New file.
	* elf/tst-audit24b.c: New file.
	* elf/tst-audit24bmod1.c: New file.
	* elf/tst-audit24bmod2.c: New file.
	* elf/tst-audit24c.c: New file.
	* elf/tst-audit24d.c: New file.
	* elf/tst-audit24dmod1.c: New file.
	* elf/tst-audit24dmod2.c: New file.
	* elf/tst-audit24dmod3.c: New file.
	* elf/tst-audit24dmod4.c: New file.
	* elf/tst-audit25a.c: New file.
	* elf/tst-audit25b.c: New file.
	* elf/tst-audit25mod1.c: New file.
	* elf/tst-audit25mod2.c: New file.
	* elf/tst-audit25mod3.c: New file.
	* elf/tst-audit25mod4.c: New file.
	* elf/tst-auditmod24.h: New file.
	* elf/tst-auditmod24a.c: New file.
	* elf/tst-auditmod24b.c: New file.
	* elf/tst-auditmod24c.c: New file.
	* elf/tst-auditmod24d.c: New file.
	* elf/tst-auditmod25.c: New file.
	* sysdeps/generic/dl-lookupcfg.h: Modified.
	(DL_FIXUP_BINDNOW_ADDR_VALUE): New.
	(DL_FIXUP_BINDNOW_RELOC): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	* sysdeps/hppa/dl-lookupcfg.h: Modified.
	(DL_FIXUP_BINDNOW_ADDR_VALUE): New.
	(DL_FIXUP_BINDNOW_RELOC): New.
	* sysdeps/ia64/dl-lookupcfg.h: Modified.
	(DL_FIXUP_BINDNOW_ADDR_VALUE): New.
	(DL_FIXUP_BINDNOW_RELOC): New.
	* sysdeps/powerpc/dl-lookupcfg.h: New file.

2022-02-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 254d3d5aef2fd8430c469e1938209ac100ebf132
	elf: Fix initial-exec TLS access on audit modules (BZ #28096)

	* elf/Makefile: Modified.
	* elf/dl-tls.c: Modified.
	(_dl_allocate_tls_init): Modified function.
	(_dl_allocate_tls): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/tst-audit21.c: New file.
	* elf/tst-auditmod21a.c: New file.
	* elf/tst-auditmod21b.c: New file.
	* nptl/allocatestack.c: Modified.
	(get_cached_stack): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_allocate_tls_init): Modified.

2022-02-01  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5fa11a2bc94c912c3b25860065086902674537ba
	elf: Add la_activity during application exit

	* elf/Makefile: Modified.
	* elf/dl-fini.c: Modified.
	(_dl_fini): Modified function.
	* elf/tst-audit23.c: New file.
	* elf/tst-audit23mod.c: New file.
	* elf/tst-auditmod23.c: New file.

2022-02-01  Carlos O'Donell  <carlos@redhat.com>
            Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7e0ad15c0fbfe25435c1acd0ed3e9cedfbff2488
	localedata: Adjust C.UTF-8 to align with C/POSIX.

	* localedata/Makefile: Modified.
	* localedata/locales/C: Modified.
	* localedata/tst-c-utf8-consistency.c: New file.

2022-02-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 1d8e3a2c6636cf0b1b8fa2f869cef6ec10726933
	localedef: Fix handling of empty mon_decimal_point (Bug 28847)

	* locale/programs/ld-monetary.c: Modified.
	(monetary_finish): Modified function.

2022-02-01  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: f77bcb70b8ba0046b66a7ff1ed1e7ef0d4eef963
	malloc: Fix tst-mallocalign1 macro spacing.

	* malloc/tst-mallocalign1.c: Modified.
	(ALIGNED): Modified.

2022-01-31  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3fb18fd80c5900cc82748f3320b30516c57d24da
	elf: Add <dl-r_debug.h>

	* elf/pldd-xx.c: Modified.
	(E): Modified function.
	(dl-r_debug.h): Include file.
	* elf/tst-dlmopen4.c: Modified.
	[! ELF_MACHINE_GET_R_DEBUG](ELF_MACHINE_GET_R_DEBUG): Remove.
	(do_test): Modified function.
	(E): New.
	(EW): New.
	(dl-r_debug.h): Include file.
	* sysdeps/generic/dl-r_debug.h: New file.
	* sysdeps/mips/dl-r_debug.h: New file.

2022-01-31  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 829ea0caca35800c4ffbebced7c3271293811144
	Mention _FORTIFY_SOURCE=3 for gcc12 in NEWS

	* NEWS: Modified.

2022-01-31  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 3a7bed5f5a527dbd87412551f41e42e63aeef07a
	malloc: Fix -Wuse-after-free warning in tst-mallocalign1 [BZ #26779]

	* malloc/tst-mallocalign1.c: Modified.
	(do_test): Modified function.
	(support/check.h): Include file.
	(ALIGNED): New.

2022-01-30  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 4556b6edaeb706d7a86beb5b03999972bb42e764
	Update libc.pot for 2.35 release.

	* po/libc.pot: Modified.

2022-01-29  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 77a602ebb0769e7ccc5f9f8e06f7fffe66f69dfc
	tst-socket-timestamp-compat.c: Check __TIMESIZE [BZ #28837]

	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat.c: Modified.
	(do_test): Modified function.

2022-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: be211e0922faba196d780565875b4617cc9839aa
	Add prelink removal plan on NEWS

	* NEWS: Modified.

2022-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 948ce73b31fdb0860bcec4b8e62b14e88234f98a
	Linux: Only generate 64 bit timestamps for 64 bit time_t recvmsg/recvmmsg

	* include/sys/socket.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__libc_recvmsg64): New function.
	[! _ISOMAC][__TIMESIZE != 64](__recvmsg64): New function.
	[! _ISOMAC][__TIMESIZE == 64](__libc_recvmsg64): New.
	[! _ISOMAC][__TIMESIZE == 64](__recvmsg64): New.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/recvmmsg.c: Modified.
	[__TIMESIZE != 64](__recvmmsg): Modified function.
	(__recvmmsg64): Modified function.
	(recvmmsg_syscall): New function.
	* sysdeps/unix/sysv/linux/recvmsg.c: Modified.
	[__TIMESIZE != 64](weak_alias): Modified.
	[__TIMESIZE != 64](__libc_recvmsg): New function.
	(__libc_recvmsg): Remove function.
	(__recvmsg_syscall): New function.
	(__libc_recvmsg64): New function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat-time64.c: New file.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-compat.c: New file.

2022-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Fabian Vogt  <fvogt@suse.de>

	COMMIT: 8fba672472ae0055387e9315fc2eddfa6775ca79
	linux: Fix ancillary 64-bit time timestamp conversion (BZ #28349, BZ#28350)

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/convert_scm_timestamps.c: Modified.
	[! __ASSUME_TIME64_SYSCALLS](__convert_scm_timestamps): Modified function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-time64.c: New file.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp.c: New file.

2022-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 38bc0f4e78934aab455b31af05cefcbf3c22bece
	support: Add support_socket_so_timestamp_time64

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_socket_so_timestamp_time64): New function.
	* support/support_socket_so_timestamp_time64.c: New file.

2022-01-28  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 1d1ce7d637fdeb911f82d10f6a23287b5dca2a3b
	Fix elf/loadfail test build dependencies

	* elf/Makefile: Modified.

2022-01-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: af121ae3e7cd12628c91ecfc46a9d65313a6e972
	Fix glibc 2.34 ABI omission (missing GLIBC_2.34 in dynamic loader)

	* elf/Makefile: Modified.
	* elf/Versions: Modified.
	* elf/dl-compat.c: New file.
	* sysdeps/mach/hurd/i386/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/ld.abilist: Modified.

2022-01-26  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 501246c5e2dfcc278f0ebbdb72345cdd239521c7
	x86: Use CHECK_FEATURE_PRESENT to check HLE [BZ #27398]

	* sysdeps/x86/tst-cpu-features-supports.c: Modified.
	(do_test): Modified function.

2022-01-26  Mark Wielaard  <mark@klomp.org>

	COMMIT: af6dc56b8c313cb2fe2df53f92d1bc9d0a820368
	Guard tst-valgrind-smoke.out with run-built-tests

	* elf/Makefile: Modified.

2022-01-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 604814121dbdef39f5b55e8ebdc5880deae85c72
	hurd: Add posix_spawnattr_tc{get,set}pgrp_np on libc.abilist

	* sysdeps/mach/hurd/i386/libc.abilist: Modified.

2022-01-26  Martin Sebor  <msebor@redhat.com>

	COMMIT: c094c232eb3246154265bb035182f92fe1b17ab8
	Avoid -Wuse-after-free in tests [BZ #26779].

	* malloc/tst-malloc-backtrace.c: Modified.
	(call_free): Modified function.
	(libc-diag.h): Include file.
	* malloc/tst-malloc-check.c: Modified.
	(do_test): Modified function.
	* malloc/tst-malloc-too-large.c: Modified.
	(test_large_allocations): Modified function.
	* malloc/tst-obstack.c: Modified.
	(verbose_free): Modified function.
	* malloc/tst-realloc.c: Modified.
	(do_test): Modified function.
	* support/tst-support-open-dev-null-range.c: Modified.
	(check_path): Modified function.

2022-01-26  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e4ba8fee1a8feea62f9f06099a116163848338db
	elf: Replace tst-p_alignmod1-editX with a python script

	* elf/Makefile: Modified.
	* elf/tst-elf-edit.h: Delete file.
	* elf/tst-p_alignmod1-edit.c: Delete file.
	* elf/tst-p_alignmod2-edit.c: Delete file.
	* scripts/tst-elf-edit.py: New file.

2022-01-25  Martin Sebor  <msebor@redhat.com>

	COMMIT: 4f20a1dc5242fb4bb8763e0451df898fa48e740c
	stdlib: Avoid -Wuse-after-free in __add_to_environ [BZ #26779]

	* stdlib/setenv.c: Modified.
	[_LIBC][! _LIBC](__add_to_environ): Modified function.

2022-01-25  Martin Sebor  <msebor@redhat.com>

	COMMIT: ee52ab25ba875f458981fce22c54e3c04c7a17d3
	io: Fix use-after-free in ftw [BZ #26779]

	* io/ftw.c: Modified.
	(open_dir_stream): Modified function.

2022-01-25  Martin Sebor  <msebor@redhat.com>

	COMMIT: 7845064d2d5a50e347ee9f4b78ec5e6316190154
	intl: Avoid -Wuse-after-free [BZ #26779]

	* intl/localealias.c: Modified.
	(read_alias_file): Modified function.

2022-01-25  Martin Sebor  <msebor@redhat.com>

	COMMIT: 03ad86880f68f498ee04e9ea84cd4f0d14473970
	elf: Fix use-after-free in ldconfig [BZ #26779]

	* elf/ldconfig.c: Modified.
	(manual_link): Modified function.

2022-01-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 342cc934a3bf74ac618e2318d738f22ac93257ba
	posix: Add terminal control setting support for posix_spawn

	* NEWS: Modified.
	* include/unistd.h: Modified.
	[! _ISOMAC](__tcsetpgrp): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	* posix/Makefile: Modified.
	* posix/Versions: Modified.
	* posix/spawn.h: Modified.
	[__USE_GNU](POSIX_SPAWN_TCSETPGROUP): New.
	[__USE_GNU](posix_spawnattr_tcsetpgrp_np): New function.
	[__USE_GNU](posix_spawnattr_tcgetpgrp_np): New function.
	(posix_spawnattr_t): Modified.
	* posix/spawnattr_setflags.c: Modified.
	(ALL_FLAGS): Modified.
	* posix/spawnattr_tcgetpgrp.c: New file.
	* posix/spawnattr_tcsetpgrp.c: New file.
	* posix/tst-spawn6.c: New file.
	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.
	* sysdeps/unix/bsd/tcsetpgrp.c: Modified.
	(tcsetpgrp): Remove function.
	(__tcsetpgrp): New function.
	(weak_alias): New.
	(libc_hidden_def): New.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/spawni.c: Modified.
	(__spawni_child): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* termios/tcsetpgrp.c: Modified.
	(tcsetpgrp): Remove function.
	(__tcsetpgrp): New function.
	(weak_alias): New function.
	(libc_hidden_def): New.

2022-01-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5b8e7980c5dabd9aaefeba4f0208baa8cf7653ee
	Linux: Detect user namespace support in io/tst-getcwd-smallbuff

	* sysdeps/unix/sysv/linux/tst-getcwd-smallbuff.c: Modified.
	(do_test): Modified function.
	(support/test-driver.h): Include file.

2022-01-24  Andreas Schwab  <schwab@linux-m68k.org>

	COMMIT: 8442f0d966da5a9333e961af9e98b41aabdd9f1b
	Fix handling of unterminated bracket expressions in fnmatch (bug 28792)

	* posix/Makefile: Modified.
	* posix/fnmatch_loop.c: Modified.
	(FCT): Modified function.
	* posix/tst-fnmatch7.c: New file.

2022-01-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 84d2d0fe20bdf94feed82b21b4d7d136db471f03
	realpath: Avoid overwriting preexisting error (CVE-2021-3998)

	* stdlib/canonicalize.c: Modified.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)][GCC_LINT ||  lint](realpath_stk): Modified function.

2022-01-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: d8d94863ef125a392b929732b37e07dc927fbcd1
	elf: Add a test for PT_LOAD segments with invalid p_align [BZ #28688]

	* elf/Makefile: Modified.
	* elf/tst-p_align3.c: New file.
	* elf/tst-p_align3.sh: New file.
	* elf/tst-p_alignmod3.c: New file.

2022-01-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: e4c9268d154ff11c070eba4791d33bd3a5875bca
	elf: Add a test for PT_LOAD segments with p_align == 1 [BZ #28688]

	* elf/Makefile: Modified.
	* elf/tst-p_align2.c: New file.
	* elf/tst-p_alignmod2-edit.c: New file.

2022-01-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b5237c0746fcf5252fc88291a63782c59167fcb5
	elf: Add a test for PT_LOAD segments with mixed p_align [BZ #28676]

	* elf/Makefile: Modified.
	* elf/tst-elf-edit.h: New file.
	* elf/tst-p_align.h: New file.
	* elf/tst-p_align1.c: New file.
	* elf/tst-p_alignmod-base.c: New file.
	* elf/tst-p_alignmod1-edit.c: New file.

2022-01-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 114d07fd9a54684cb67b02174f2c48d19f3e2502
	Add and use link-test-modules-rpath-link [BZ #28455]

	* Makeconfig: Modified.
	* Makerules: Modified.
	* elf/Makefile: Modified.
	* elf/tst-global2.c: New file.
	* elf/tst-globalmod2.c: New file.

2022-01-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 976db046bc3a3738f69255ae00b0a09b8e77fd9c
	tst-realpath-toolong: Fix hurd build

	* stdlib/tst-realpath-toolong.c: Modified.
	[! PATH_MAX](PATH_MAX): New.

2022-01-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 23e0e8f5f1fb5ed150253d986ecccdc90c2dcd5e
	getcwd: Set errno to ERANGE for size == 1 (CVE-2021-3999)

	* NEWS: Modified.
	* sysdeps/posix/getcwd.c: Modified.
	(__getcwd_generic): Modified function.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-getcwd-smallbuff.c: New file.

2022-01-22  Alexandra Hájková  <ahajkova@redhat.com>
            Mark Wielaard  <mark@klomp.org>

	COMMIT: 6c2f050dbe11fb4ed0a401a5f25731f2aa53046b
	Add valgrind smoke test

	* elf/Makefile: Modified.
	* elf/tst-valgrind-smoke.sh: New file.
	* elf/valgrind-test.c: New file.

2022-01-22  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8c86ba446367fd676457e51eb44d7af2e5d9a392
	htl: Fix cleaning the reply port

	* htl/pt-alloc.c: Modified.
	(initialize_pthread): Modified function.
	(__pthread_alloc): Modified function.
	* htl/pt-create.c: Modified.
	(__pthread_create_internal): Modified function.
	* htl/pt-dealloc.c: Modified.
	(__pthread_dealloc): Modified function.
	(__pthread_dealloc_finish): New function.
	* htl/pt-detach.c: Modified.
	(__pthread_detach): Modified function.
	* htl/pt-internal.h: Modified.
	(pthread_state): Modified.
	(__pthread): Modified.
	(__pthread_dealloc_finish): New function.
	* htl/pt-join.c: Modified.
	(__pthread_join_common): Modified function.
	* sysdeps/mach/htl/pt-thread-terminate.c: Modified.
	(__pthread_thread_terminate): Modified function.

2022-01-21  H.J. Lu  <hjl.tools@gmail.com>
            Chris Kennelly  <ckennelly@google.com>

	COMMIT: e22a4557eb39d7cba9a74d70f4582c13f1a7a83a
	elf: Properly align all PT_LOAD segments [BZ #28676]

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.

2022-01-21  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: ee8d5e33adb284601c00c94687bc907e10aec9bb
	realpath: Set errno to ENAMETOOLONG for result larger than PATH_MAX [BZ #28770]

	* NEWS: Modified.
	* stdlib/Makefile: Modified.
	* stdlib/canonicalize.c: Modified.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)][GCC_LINT ||  lint](realpath_stk): Modified function.
	* stdlib/tst-realpath-toolong.c: New file.

2022-01-21  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: fb7bff12e81c677a6622f724edd4d4987dd9d971
	support: Add helpers to create paths longer than PATH_MAX

	* support/temp_file.c: Modified.
	(unistd.h): Remove include.
	(temp_name_list): Modified.
	(add_temp_file): Modified function.
	(support_create_temp_directory): Modified function.
	(support_delete_temp_files): Modified function.
	(support/check.h): Include file.
	(errno.h): Include file.
	(xunistd.h): Include file.
	(toolong_initialized): New.
	(toolong_path_max): New.
	(add_temp_file_internal): New function.
	(create_temp_directory_internal): New function.
	(ensure_toolong_initialized): New function.
	(initialize_toolong): New function.
	(support_create_and_chdir_toolong_temp_directory): New function.
	(support_chdir_toolong_temp_directory): New function.
	(remove_toolong_subdirs): New function.
	* support/temp_file.h: Modified.
	(support_create_and_chdir_toolong_temp_directory): New function.
	(support_chdir_toolong_temp_directory): New function.

2022-01-20  Jangwoong Kim  <6812skiii@gmail.com>

	COMMIT: 6b8dbbd03ac88f169b65b5c7d7278576a11d2e44
	nptl: Effectively skip CAS in spinlock loop

	* nptl/pthread_mutex_lock.c: Modified.
	(PTHREAD_MUTEX_LOCK): Modified function.

2022-01-19  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f44820821a4ecdbb398375201b7c4ab9a1dd5983
	mips: Move DT_MIPS into <ldsodefs.h>

	* sysdeps/mips/dl-machine.h: Modified.
	[! dl_machine_h](DT_MIPS): Remove.
	* sysdeps/mips/ldsodefs.h: Modified.
	(DT_MIPS): New.

2022-01-19  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 3e63b15d43ea6f61effcf92324e47e981bd7d0a8
	x86_64: Document libmvec vector functions accuracy [BZ #28766]

	* manual/math.texi: Modified.

2022-01-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 1e000d3d33211d5a954300e2a69b90f93f18a1a1
	x86: Black list more Intel CPUs for TSX [BZ #27398]

	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.

2022-01-18  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 716c4027b04db785034b0f67ac552cfaff360463
	elf: Fix tst-align3

	* elf/tst-align3.c: Modified.
	(do_load_test): Modified.
	(do_test): Modified function.

2022-01-18  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c90363403b57b3b7919061851cb3e6d9c85e784a
	elf: Move _dl_setup_hash to its own file

	* elf/Makefile: Modified.
	* elf/dl-lookup.c: Modified.
	(_dl_setup_hash): Remove function.
	* elf/dl-setup_hash.c: New file.

2022-01-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f8b765bec44e6c464a7eabf80e58c6851ca15ac3
	htl: Fix build error in annexc

	* sysdeps/htl/include/pthread.h: Modified.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC && !IS_IN (libsupport)](bits/spin-lock-inline.h): Remove.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC && !IS_IN (libsupport)](pthread_spin_destroy): Remove.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC && !IS_IN (libsupport)](pthread_spin_init): Remove.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC && !IS_IN (libsupport)](pthread_spin_lock): Remove.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC && !IS_IN (libsupport)](pthread_spin_trylock): Remove.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC && !IS_IN (libsupport)](pthread_spin_unlock): Remove.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC][!IS_IN (libsupport)](bits/spin-lock-inline.h): New.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC][!IS_IN (libsupport)](pthread_spin_destroy): New.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC][!IS_IN (libsupport)](pthread_spin_init): New.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC][!IS_IN (libsupport)](pthread_spin_lock): New.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC][!IS_IN (libsupport)](pthread_spin_trylock): New.
	[! _ISOMAC][__USE_EXTERN_INLINES &&  _LIBC][!IS_IN (libsupport)](pthread_spin_unlock): New.

2022-01-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3a5aeba87a1b89a042237ff74ca7fe7f6aa1556a
	elf: Reinstate tst-audit17

	* elf/Makefile: Modified.

2022-01-17  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: c242fcce06e3102ca663b2f992611d0bda4f2668
	x86: use default cache size if it cannot be determined [BZ #28784]

	* sysdeps/x86/cacheinfo.h: Modified.
	[IS_IN (libc)](init_cacheinfo): Modified function.

2022-01-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 9702a41cee31e3588e46485a5db06d1d7c222d30
	rt/tst-mqueue*: Return UNSUPPORTED when mq_open fails with ENOSYS

	* rt/tst-mqueue1.c: Modified.
	(do_test): Modified function.
	(support/check.h): Include file.
	* rt/tst-mqueue10.c: Modified.
	(do_test): Modified function.
	* rt/tst-mqueue2.c: Modified.
	(do_test): Modified function.
	(support/check.h): Include file.
	* rt/tst-mqueue3.c: Modified.
	[_POSIX_THREADS](do_test): Modified function.
	(support/check.h): Include file.
	* rt/tst-mqueue4.c: Modified.
	(do_test): Modified function.
	(support/check.h): Include file.
	* rt/tst-mqueue5.c: Modified.
	[_POSIX_THREADS &&  SIGRTMIN &&  SA_SIGINFO](do_test): Modified function.
	(support/check.h): Include file.
	* rt/tst-mqueue6.c: Modified.
	[_POSIX_THREADS](do_test): Modified function.
	(support/check.h): Include file.
	* rt/tst-mqueue7.c: Modified.
	(support/check.h): Include file.
	* rt/tst-mqueue8.c: Modified.
	[_POSIX_THREADS](do_test): Modified function.
	[_POSIX_THREADS](support/check.h): Include file.
	* rt/tst-mqueue9.c: Modified.
	(do_test): Modified function.
	(support/check.h): Include file.

2022-01-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5f3a7ebc358fdcbafcab4f1bf4067120fb519dfc
	Linux: Add epoll_pwait2 (BZ #27359)

	* NEWS: Modified.
	* include/sys/epoll.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__epoll_pwait2_time64): New.
	[! _ISOMAC][__TIMESIZE != 64](libc_hidden_proto): New.
	[! _ISOMAC][__TIMESIZE == 64](__epoll_pwait2_time64): New.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/epoll_pwait2.c: New file.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/epoll.h: Modified.
	[! __USE_TIME_BITS64](epoll_pwait2): New.
	[__USE_TIME_BITS64][! __REDIRECT](epoll_pwait2): New.
	[__USE_TIME_BITS64][__REDIRECT](__REDIRECT): New.
	(bits/types/struct_timespec.h): Include file.
	* sysdeps/unix/sysv/linux/tst-epoll-time64.c: New file.
	* sysdeps/unix/sysv/linux/tst-epoll.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2022-01-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ded3aeb2025c6686956eb10125aacb9a6e7c298e
	Properly handle --disable-default-pie [BZ #28780]

	* configure: Modified.
	* configure.ac: Modified.

2022-01-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9fe6f6363886aae6b2b210cae3ed1f5921299083
	elf: Fix 64 time_t support for installed statically binaries

	* elf/cache.c: Modified.
	(print_cache): Modified function.
	(search_aux_cache): Modified function.
	(add_to_aux_cache): Modified function.
	(load_aux_cache): Modified function.
	(save_aux_cache): Modified function.
	* elf/chroot_canon.c: Modified.
	(chroot_canon): Modified function.
	* elf/ldconfig.c: Modified.
	(new_sub_entry): Modified function.
	(add_glibc_hwcaps_subdirectories): Modified function.
	(add_dir_1): Modified function.
	(chroot_stat): Modified function.
	(create_links): Modified function.
	(manual_link): Modified function.
	(search_dir): Modified function.
	* elf/readlib.c: Modified.
	(process_file): Modified function.
	* elf/sln.c: Modified.
	(makesymlink): Modified function.
	* sysdeps/generic/ldconfig.h: Modified.
	(search_aux_cache): Modified.
	(add_to_aux_cache): Modified.
	(process_file): Modified.

2022-01-17  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cedd498dbc090e39a9b3224f4c53ea98da049f40
	Revert "elf: Fix 64 time_t support for installed statically binaries"

	* elf/cache.c: Modified.
	(print_cache): Modified function.
	(search_aux_cache): Modified function.
	(add_to_aux_cache): Modified function.
	(load_aux_cache): Modified function.
	(save_aux_cache): Modified function.
	* elf/chroot_canon.c: Modified.
	(chroot_canon): Modified function.
	* elf/ldconfig.c: Modified.
	(new_sub_entry): Modified function.
	(add_glibc_hwcaps_subdirectories): Modified function.
	(add_dir_1): Modified function.
	(chroot_stat): Modified function.
	(create_links): Modified function.
	(manual_link): Modified function.
	(search_dir): Modified function.
	* elf/readlib.c: Modified.
	(process_file): Modified function.
	* elf/sln.c: Modified.
	(makesymlink): Modified function.
	* sysdeps/generic/ldconfig.h: Modified.
	(search_aux_cache): Modified.
	(add_to_aux_cache): Modified.
	(process_file): Modified.

2022-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f545ad4928fa1f27a3075265182b38a4f939a5f7
	CVE-2022-23218: Buffer overflow in sunrpc svcunix_create (bug 28768)

	* NEWS: Modified.
	* sunrpc/Makefile: Modified.
	* sunrpc/svc_unix.c: Modified.
	(svcunix_create): Modified function.
	* sunrpc/tst-bug28768.c: New file.

2022-01-17  Martin Sebor  <msebor@redhat.com>

	COMMIT: ef972a4c50014a16132b5c75571cfb6b30bef136
	sunrpc: Test case for clnt_create "unix" buffer overflow (bug 22542)

	* sunrpc/Makefile: Modified.
	* sunrpc/tst-bug22542.c: New file.

2022-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 226b46770c82899b555986583294b049c6ec9b40
	CVE-2022-23219: Buffer overflow in sunrpc clnt_create for "unix" (bug 22542)

	* NEWS: Modified.
	* sunrpc/clnt_gen.c: Modified.
	(clnt_create): Modified function.

2022-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e368b12f6c16b6888dda99ba641e999b9c9643c8
	socket: Add the __sockaddr_un_set function

	* include/sys/un.h: Modified.
	[! _ISOMAC](__sockaddr_un_set): New.
	* socket/Makefile: Modified.
	* socket/sockaddr_un_set.c: New file.
	* socket/tst-sockaddr_un_set.c: New file.

2022-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 06200aac9bec34dbcac28b8c60e49a77e7851c1f
	elf/tst-dl_find_object: Disable subtests for non-contiguous maps (bug 28732)

	* elf/tst-dl_find_object.c: Modified.
	(check): Modified function.

2022-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8eb2510d38226ce10a3a15109be948f052585106
	elf: Set l_contiguous to 1 for the main map in more cases

	* elf/rtld.c: Modified.
	(rtld_setup_main_map): Modified function.

2022-01-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b4d4ff8963866367ba861681ef3b1251e122014a
	elf: Introduce rtld_setup_main_map

	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	(rtld_setup_main_map): New function.

2022-01-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0eb230ccceee70c4b5d2a75807d2189aa4ed6e7c
	hurd: Make RPC input array parameters const

	* hurd/hurdauth.c: Modified.
	(_S_msg_del_auth): Modified function.
	* hurd/hurdmsg.c: Modified.
	(_S_msg_set_init_ports): Modified function.
	(_S_msg_set_init_ints): Modified function.
	(_S_msg_get_env_variable): Modified function.
	(_S_msg_set_env_variable): Modified function.
	(_S_msg_set_environment): Modified function.
	(_S_msg_set_dtable): Modified function.
	* hurd/report-wait.c: Modified.
	(_S_msg_describe_ports): Modified function.

2022-01-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 41a11a5e83265c7718787b9cfb8b3c109c59b980
	hurd: optimize exec cleanup

	* hurd/hurdexec.c: Modified.
	(_hurd_exec_paths): Modified function.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__rtld_execve): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 54dda2cdba0766be599e747ee4660aae80aa8647
	hurd: Add __rtld_execve

	* sysdeps/mach/hurd/dl-execve.h: New file.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(open_file): Modified function.
	(argz.h): Include file.
	(__rtld_execve): New function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 84a9d5835a8483a805e5c618e952bc08697fce5d
	hurd: Fix exec() leak on proc_task2proc failure

	* hurd/hurdexec.c: Modified.
	(_hurd_exec_paths): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 1bd7a06a958e93dbd10d99d30ee9ad82fca13f48
	htl: Hide __pthread_attr's __schedparam type [BZ #23088]

	* sysdeps/htl/bits/types/struct___pthread_attr.h: Modified.
	(bits/types/struct_sched_param.h): Remove include.
	(__pthread_attr): Modified.
	(__sched_param): New.
	* sysdeps/htl/pt-attr-getschedparam.c: Modified.
	(__pthread_attr_getschedparam): Modified function.
	* sysdeps/htl/pt-attr-setschedparam.c: Modified.
	(__pthread_attr_setschedparam): Modified function.
	* sysdeps/htl/pt-attr.c: Modified.
	* sysdeps/htl/timer_routines.h: Modified.
	(thread_attr_compare): Modified function.
	* sysdeps/mach/hurd/i386/Makefile: Modified.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c1105e34aced53b26f02176b973079eb30fc54b1
	htl: Clear kernel_thread field before releasing the thread structure

	* sysdeps/mach/htl/pt-thread-terminate.c: Modified.
	(__pthread_thread_terminate): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 630d2568a1dfa1912458396e0522f67eef215f7d
	hurd: drop SA_SIGINFO availability xfail

	* conform/data/signal.h-data: Modified.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 67ca1c55603d3e99c26e3edf7955a58b78cfe0ad
	hurd: Fix timer/clock_getres crash on NULL res parameter

	* sysdeps/posix/clock_getres.c: Modified.
	(realtime_getres): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 2c040d0b904ca8dfd34e72dc9b4722d92436ad7e
	hurd: Fix pthread_kill on exiting/ted thread

	* sysdeps/hurd/htl/pt-kill.c: Modified.
	(__pthread_kill): Modified function.
	* sysdeps/mach/htl/pt-thread-terminate.c: Modified.
	(__pthread_thread_terminate): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: dfb204d87fd7d44b90aef377e6442646d9e1318d
	[hurd] Drop spurious #ifdef SHARED

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(_dl_sysdep_start): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f05faf5f22ecc20d3ba9791d7c60beb2d20aff52
	[hurd] Call _dl_sort_maps_init in _dl_sysdep_start

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(_dl_sysdep_start): Modified function.

2022-01-15  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 4974c7cd8f5683d77e54cb04ab7b925224da702a
	elf tst-dl_find_object: Fix typo

	* elf/tst-dl_find_object.c: Modified.
	(do_test): Modified function.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f01d482f0355a7029d0715ace0ccf3323e7e94bc
	s390x: Use <gcc-macros.h> in early HWCAP check

	* sysdeps/s390/s390-64/dl-hwcap-check.h: Modified.
	(dl_hwcap_check): Modified function.
	(gcc-macros.h): Include file.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 990c953bce06d77360d2e933faa9a008e2c55405
	x86: Add x86-64-vN check to early startup

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/dl-get-cpu-features.c: Modified.
	[SHARED](_dl_x86_init_cpu_features): Modified function.
	[SHARED](gcc-macros.h): Include file.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 550116486692efc394d03befee19f7e9c17d5044
	powerpc64le: Use <gcc-macros.h> in early HWCAP check

	* sysdeps/powerpc/powerpc64/le/dl-hwcap-check.h: Modified.
	(dl_hwcap_check): Modified function.
	(gcc-macros.h): Include file.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9ba202c78f0aa39f49929eee63c367847da72ee4
	Add --with-rtld-early-cflags configure option

	* INSTALL: Modified.
	* NEWS: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* elf/Makefile: Modified.
	* manual/install.texi: Modified.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b693d75f0c611bce9b0ad984bad306121d42c535
	elf: Split dl-printf.c from dl-misc.c

	* elf/Makefile: Modified.
	* elf/dl-misc.c: Modified.
	(assert.h): Remove include.
	(limits.h): Remove include.
	(stdarg.h): Remove include.
	(string.h): Remove include.
	(sys/param.h): Remove include.
	(sys/uio.h): Remove include.
	(sysdep.h): Remove include.
	(dl-writev.h): Remove include.
	(_dl_debug_vdprintf): Remove function.
	(_dl_debug_printf): Remove function.
	(_dl_debug_printf_c): Remove function.
	(_dl_dprintf): Remove function.
	(_dl_printf): Remove function.
	(_dl_error_printf): Remove function.
	(_dl_fatal_printf): Remove function.
	(rtld_hidden_def): Remove.
	* elf/dl-printf.c: New file.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7de01e60c200c431d3469deb784da8fd4508fc15
	elf/Makefile: Reflow and sort most variable assignments

	* elf/Makefile: Modified.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ef7c6d42fe163a5e49a478c43e655ce4633fa5ba
	Generate gcc-macros.h

	* Makeconfig: Modified.

2022-01-14  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5732a881aad24fac876f5505a212395048a7a483
	x86: HAVE_X86_LAHF_SAHF, HAVE_X86_MOVBE and -march=x86-64-vN (bug 28782)

	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.

2022-01-14  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 047512374a95b7bc42a996f61def50843f2bd5e7
	math: Add more inputs to atan2 accuracy tests [BZ #28765]

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-atan2: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2022-01-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7de501f9418bf099e7104b63b0e4423257981b14
	Disable debuginfod in printer tests [BZ #28757]

	* scripts/test_printers_common.py: Modified.

2022-01-13  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 4997a533ae4b51ef66a6b68862b7578a7acb82df
	Update syscall lists for Linux 5.16

	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/ia64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/nios2/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/or1k/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: Modified.
	(__NR_futex_waitv): New.

2022-01-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a78e6a10d0b50d0ca80309775980fc99944b1727
	i386: Remove broken CAN_USE_REGISTER_ASM_EBP (bug 28771)

	* config.h.in: Modified.
	* sysdeps/unix/sysv/linux/i386/configure: Modified.
	* sysdeps/unix/sysv/linux/i386/configure.ac: Modified.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! PROF && CAN_USE_REGISTER_ASM_EBP](OPTIMIZE_FOR_GCC_5): Remove.
	[! __ASSEMBLER__][! I386_USE_SYSENTER][! OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_INLINE): Remove.
	[! __ASSEMBLER__][! I386_USE_SYSENTER][! OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_NCS): Remove.
	[! __ASSEMBLER__][! I386_USE_SYSENTER][OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_INLINE): Remove.
	[! __ASSEMBLER__][! I386_USE_SYSENTER][OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_NCS): Remove.
	[! __ASSEMBLER__][! I386_USE_SYSENTER](INTERNAL_SYSCALL_MAIN_INLINE): New.
	[! __ASSEMBLER__][! I386_USE_SYSENTER](INTERNAL_SYSCALL_MAIN_NCS): New.
	[! __ASSEMBLER__][! OPTIMIZE_FOR_GCC_5](ebx): Remove.
	[! __ASSEMBLER__][! OPTIMIZE_FOR_GCC_5](libc_do_syscall_args): Remove.
	[! __ASSEMBLER__][! OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_6): Remove.
	[! __ASSEMBLER__][! OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_NCS_6): Remove.
	[! __ASSEMBLER__][! __PIC__](LOADARGS_1): Remove.
	[! __ASSEMBLER__][! __PIC__](LOADARGS_2): Remove.
	[! __ASSEMBLER__][! __PIC__](LOADARGS_3): Remove.
	[! __ASSEMBLER__][! __PIC__](LOADARGS_4): Remove.
	[! __ASSEMBLER__][! __PIC__](LOADARGS_5): Remove.
	[! __ASSEMBLER__][! __PIC__](RESTOREARGS_1): Remove.
	[! __ASSEMBLER__][! __PIC__](RESTOREARGS_2): Remove.
	[! __ASSEMBLER__][! __PIC__](RESTOREARGS_3): Remove.
	[! __ASSEMBLER__][! __PIC__](RESTOREARGS_4): Remove.
	[! __ASSEMBLER__][! __PIC__](RESTOREARGS_5): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][! OPTIMIZE_FOR_GCC_5][! PIC](INTERNAL_SYSCALL_MAIN_INLINE): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][! OPTIMIZE_FOR_GCC_5][! PIC](INTERNAL_SYSCALL_MAIN_NCS): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][! OPTIMIZE_FOR_GCC_5][PIC](INTERNAL_SYSCALL_MAIN_INLINE): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][! OPTIMIZE_FOR_GCC_5][PIC](INTERNAL_SYSCALL_MAIN_NCS): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][OPTIMIZE_FOR_GCC_5][! PIC](INTERNAL_SYSCALL_MAIN_INLINE): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][OPTIMIZE_FOR_GCC_5][! PIC](INTERNAL_SYSCALL_MAIN_NCS): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][OPTIMIZE_FOR_GCC_5][PIC](INTERNAL_SYSCALL_MAIN_INLINE): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][OPTIMIZE_FOR_GCC_5][PIC](INTERNAL_SYSCALL_MAIN_NCS): Remove.
	[! __ASSEMBLER__][I386_USE_SYSENTER][! PIC](INTERNAL_SYSCALL_MAIN_INLINE): New.
	[! __ASSEMBLER__][I386_USE_SYSENTER][! PIC](INTERNAL_SYSCALL_MAIN_NCS): New.
	[! __ASSEMBLER__][I386_USE_SYSENTER][PIC](INTERNAL_SYSCALL_MAIN_INLINE): New.
	[! __ASSEMBLER__][I386_USE_SYSENTER][PIC](INTERNAL_SYSCALL_MAIN_NCS): New.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_6): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](INTERNAL_SYSCALL_MAIN_NCS_6): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_0): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_0): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_1): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_1): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_2): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_2): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_3): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_3): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_4): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_4): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_5): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_5): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](LOADREGS_6): Remove.
	[! __ASSEMBLER__][OPTIMIZE_FOR_GCC_5](ASMARGS_6): Remove.
	[! __ASSEMBLER__][__PIC__][!(I386_USE_SYSENTER &&  PIC)](LOADARGS_1): Remove.
	[! __ASSEMBLER__][__PIC__][!(I386_USE_SYSENTER &&  PIC)](LOADARGS_5): Remove.
	[! __ASSEMBLER__][__PIC__][!(I386_USE_SYSENTER &&  PIC)](RESTOREARGS_1): Remove.
	[! __ASSEMBLER__][__PIC__][!(I386_USE_SYSENTER &&  PIC)](RESTOREARGS_5): Remove.
	[! __ASSEMBLER__][__PIC__][I386_USE_SYSENTER &&  PIC](LOADARGS_1): Remove.
	[! __ASSEMBLER__][__PIC__][I386_USE_SYSENTER &&  PIC](LOADARGS_5): Remove.
	[! __ASSEMBLER__][__PIC__][I386_USE_SYSENTER &&  PIC](RESTOREARGS_1): Remove.
	[! __ASSEMBLER__][__PIC__][I386_USE_SYSENTER &&  PIC](RESTOREARGS_5): Remove.
	[! __ASSEMBLER__][__PIC__](LOADARGS_2): Remove.
	[! __ASSEMBLER__][__PIC__](LOADARGS_3): Remove.
	[! __ASSEMBLER__][__PIC__](LOADARGS_4): Remove.
	[! __ASSEMBLER__][__PIC__](RESTOREARGS_2): Remove.
	[! __ASSEMBLER__][__PIC__](RESTOREARGS_3): Remove.
	[! __ASSEMBLER__][__PIC__](RESTOREARGS_4): Remove.
	[! __ASSEMBLER__](LOADARGS_0): Remove.
	[! __ASSEMBLER__](RESTOREARGS_0): Remove.
	[! __ASSEMBLER__](libc_do_syscall_args): New.
	[! __ASSEMBLER__](INTERNAL_SYSCALL_MAIN_6): New.
	[! __ASSEMBLER__](INTERNAL_SYSCALL_MAIN_NCS_6): New.
	[! __ASSEMBLER__](LOADREGS_0): New.
	[! __ASSEMBLER__](ASMARGS_0): New.
	[! __ASSEMBLER__](LOADREGS_1): New.
	[! __ASSEMBLER__](ASMARGS_1): New.
	[! __ASSEMBLER__](LOADREGS_2): New.
	[! __ASSEMBLER__](ASMARGS_2): New.
	[! __ASSEMBLER__](LOADREGS_3): New.
	[! __ASSEMBLER__](ASMARGS_3): New.
	[! __ASSEMBLER__](LOADREGS_4): New.
	[! __ASSEMBLER__](ASMARGS_4): New.
	[! __ASSEMBLER__](LOADREGS_5): New.
	[! __ASSEMBLER__](ASMARGS_5): New.

2022-01-13  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: f9dab1b5f23d0fb008a56c7c6c8919adb49d3611
	stdlib: Fix formatting of tests list in Makefile

	* stdlib/Makefile: Modified.

2022-01-13  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 5b766603efa727c236a5f0cdcf09b71ff60b7584
	stdlib: Sort tests in Makefile

	* stdlib/Makefile: Modified.

2022-01-12  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 49e2bf58d57758df244eb621d63cedd2ab6d1971
	x86_64: Fix SSE4.2 libmvec atan2 function accuracy [BZ #28765]

	* sysdeps/x86_64/fpu/multiarch/svml_d_atan22_core_sse4.S: Modified.

2022-01-12  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: fcfc9086815bf0d277ad47a90ee3fda4c37acca8
	debug: Synchronize feature guards in fortified functions [BZ #28746]

	* debug/Makefile: Modified.
	* debug/tst-fortify.c: Modified.
	(do_test): Modified function.
	[! _GNU_SOURCE](MEMPCPY): New.
	[! _GNU_SOURCE](WMEMPCPY): New.
	[! _GNU_SOURCE](MEMPCPY_RET): New.
	[! _GNU_SOURCE](WMEMPCPY_RET): New.
	[_GNU_SOURCE](MEMPCPY): New.
	[_GNU_SOURCE](WMEMPCPY): New.
	[_GNU_SOURCE](MEMPCPY_RET): New.
	[_GNU_SOURCE](WMEMPCPY_RET): New.
	* posix/bits/unistd.h: Modified.
	[__USE_UNIX98][! __USE_FILE_OFFSET64](pread): Remove.
	[__USE_UNIX98][__USE_FILE_OFFSET64](pread): Remove.
	[__USE_UNIX98][__USE_LARGEFILE64](pread64): Remove.
	[__USE_UNIX98](__pread_chk): Remove.
	[__USE_UNIX98](__pread64_chk): Remove.
	[__USE_UNIX98](__REDIRECT): Remove.
	[__USE_UNIX98](__REDIRECT): Remove.
	[__USE_UNIX98](__REDIRECT): Remove.
	[__USE_UNIX98](__REDIRECT): Remove.
	[__USE_UNIX98 ||  __USE_XOPEN2K8][! __USE_FILE_OFFSET64](pread): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8][__USE_FILE_OFFSET64](pread): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8][__USE_LARGEFILE64](pread64): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__pread_chk): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__pread64_chk): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): New.
	[__USE_UNIX98 ||  __USE_XOPEN2K8](__REDIRECT): New.
	* string/bits/string_fortified.h: Modified.
	[!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__stpncpy_chk): Remove.
	[!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__REDIRECT_NTH): Remove.
	[!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__NTH): Remove.
	[__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6)](__NTH): Remove.
	[__USE_GNU](__NTH): Remove function.
	[__USE_XOPEN2K8][!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__stpncpy_chk): New.
	[__USE_XOPEN2K8][!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__REDIRECT_NTH): New.
	[__USE_XOPEN2K8][!(__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6))](__NTH): New.
	[__USE_XOPEN2K8][__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6)](__NTH): New.
	[__USE_XOPEN2K8](__NTH): New.
	* support/xsignal.h: Modified.
	(xsignal): Remove.
	[_GNU_SOURCE](xsignal): New.
	* wcsmbs/bits/wchar2.h: Modified.
	[__USE_GNU](__mbsnrtowcs_chk): Remove.
	[__USE_GNU](__REDIRECT_NTH): Remove.
	[__USE_GNU](__REDIRECT_NTH): Remove.
	[__USE_GNU](__NTH): Remove function.
	[__USE_GNU](__wcsnrtombs_chk): Remove.
	[__USE_GNU](__REDIRECT_NTH): Remove.
	[__USE_GNU](__REDIRECT_NTH): Remove.
	[__USE_GNU](__NTH): Remove function.
	[__USE_XOPEN2K8](__mbsnrtowcs_chk): New.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New.
	[__USE_XOPEN2K8](__NTH): New.
	[__USE_XOPEN2K8](__wcsnrtombs_chk): New.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New.
	[__USE_XOPEN2K8](__REDIRECT_NTH): New.
	[__USE_XOPEN2K8](__NTH): New.

2022-01-12  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: db27f1251b008280a29d540b4f8ab2a38a0d80af
	debug: Autogenerate _FORTIFY_SOURCE tests

	* Makerules: Modified.
	* debug/Makefile: Modified.
	* debug/tst-chk2.c: Delete file.
	* debug/tst-chk3.c: Delete file.
	* debug/tst-chk4.cc: Delete file.
	* debug/tst-chk5.cc: Delete file.
	* debug/tst-chk6.cc: Delete file.
	* debug/tst-chk7.c: Delete file.
	* debug/tst-chk8.cc: Delete file.
	* debug/tst-chk1.c: Move to...
	* debug/tst-fortify.c: ... here.
	* debug/tst-lfschk1.c: Delete file.
	* debug/tst-lfschk2.c: Delete file.
	* debug/tst-lfschk3.c: Delete file.
	* debug/tst-lfschk4.cc: Delete file.
	* debug/tst-lfschk5.cc: Delete file.
	* debug/tst-lfschk6.cc: Delete file.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f0ed50e1c783395c424e4d51587b0ade5c1c3006
	Do not build libresolv module with 64 bit time_t flags

	* Makeconfig: Modified.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 572e0c855495bfbcd2323584a243430e6b7c8bb3
	Revert "linux: Fix ancillary 64-bit time timestamp conversion (BZ #28349, BZ #28350)"

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/convert_scm_timestamps.c: Modified.
	[! __ASSUME_TIME64_SYSCALLS](__convert_scm_timestamps): Modified function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-time64.c: Delete file.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp.c: Delete file.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5bd83aa836d9ce5d16a6e148f5a280ddf2dd3aa5
	Revert "support: Add support_socket_so_timestamp_time64"

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_socket_so_timestamp_time64): Remove.
	* support/support_socket_so_timestamp_time64.c: Delete file.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 62db87ab24f9ca483f97f5e52ea92445f6a63c6f
	timezone: Fix tst-bz28707 Makefile rule

	* timezone/Makefile: Modified.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Fabian Vogt  <fvogt@suse.de>

	COMMIT: 21e0f45c7d73df6fe30c77ffcc9f81410e2ee369
	linux: Fix ancillary 64-bit time timestamp conversion (BZ #28349, BZ #28350)

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/convert_scm_timestamps.c: Modified.
	[! __ASSUME_TIME64_SYSCALLS](__convert_scm_timestamps): Modified function.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp-time64.c: New file.
	* sysdeps/unix/sysv/linux/tst-socket-timestamp.c: New file.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a4cf12360fb7a8eae4fa4923763309b7f10797c3
	support: Add support_socket_so_timestamp_time64

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_socket_so_timestamp_time64): New function.
	* support/support_socket_so_timestamp_time64.c: New file.

2022-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0b8e83eb1455f3c0332eeb1f96fbc262fbd054e0
	elf: Fix 64 time_t support for installed statically binaries

	* elf/cache.c: Modified.
	(print_cache): Modified function.
	(search_aux_cache): Modified function.
	(add_to_aux_cache): Modified function.
	(load_aux_cache): Modified function.
	(save_aux_cache): Modified function.
	* elf/chroot_canon.c: Modified.
	(chroot_canon): Modified function.
	* elf/ldconfig.c: Modified.
	(new_sub_entry): Modified function.
	(add_glibc_hwcaps_subdirectories): Modified function.
	(add_dir_1): Modified function.
	(chroot_stat): Modified function.
	(create_links): Modified function.
	(manual_link): Modified function.
	(search_dir): Modified function.
	* elf/readlib.c: Modified.
	(process_file): Modified function.
	* elf/sln.c: Modified.
	(makesymlink): Modified function.
	* sysdeps/generic/ldconfig.h: Modified.
	(search_aux_cache): Modified.
	(add_to_aux_cache): Modified.
	(process_file): Modified.

2022-01-12  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 86bf0feb0e3ec8e37872f72499d6ae33406561d7
	Enable _FORTIFY_SOURCE=3 for gcc 12 and above

	* include/features.h: Modified.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 2 && __glibc_clang_prereq (9, 0)][_FORTIFY_SOURCE > 3](_FORTIFY_SOURCE > 3 is treated like 3 on this platform): Remove.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 2 && __glibc_clang_prereq (9, 0)](__USE_FORTIFY_LEVEL): Remove.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 2 && (__glibc_clang_prereq (9, 0)		  || __GNUC_PREREQ (12, 0))][_FORTIFY_SOURCE > 3](_FORTIFY_SOURCE > 3 is treated like 3 on this platform): New.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 2 && (__glibc_clang_prereq (9, 0)		  || __GNUC_PREREQ (12, 0))](__USE_FORTIFY_LEVEL): New.
	* misc/sys/cdefs.h: Modified.
	[!	_SYS_CDEFS_H][!(__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0))](__glibc_objsize0): Remove.
	[!	_SYS_CDEFS_H][!(__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0))](__glibc_objsize): Remove.
	[!	_SYS_CDEFS_H][__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0)](__glibc_objsize0): Remove.
	[!	_SYS_CDEFS_H][__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0)](__glibc_objsize): Remove.
	[!	_SYS_CDEFS_H][!(__USE_FORTIFY_LEVEL == 3 && (__glibc_clang_prereq (9, 0)		  || __GNUC_PREREQ (12, 0)))](__glibc_objsize0): New.
	[!	_SYS_CDEFS_H][!(__USE_FORTIFY_LEVEL == 3 && (__glibc_clang_prereq (9, 0)		  || __GNUC_PREREQ (12, 0)))](__glibc_objsize): New.
	[!	_SYS_CDEFS_H][__USE_FORTIFY_LEVEL == 3 && (__glibc_clang_prereq (9, 0)		  || __GNUC_PREREQ (12, 0))](__glibc_objsize0): New.
	[!	_SYS_CDEFS_H][__USE_FORTIFY_LEVEL == 3 && (__glibc_clang_prereq (9, 0)		  || __GNUC_PREREQ (12, 0))](__glibc_objsize): New.

2022-01-12  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 0005e54f762b2ec65cee2c4ecf1e9d42612030f0
	manual: Drop obsolete @refill

	* manual/contrib.texi: Modified.
	* manual/creature.texi: Modified.
	* manual/ctype.texi: Modified.
	* manual/intro.texi: Modified.
	* manual/lang.texi: Modified.
	* manual/maint.texi: Modified.
	* manual/memory.texi: Modified.
	* manual/setjmp.texi: Modified.
	* manual/stdio.texi: Modified.
	* manual/string.texi: Modified.

2022-01-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 5a1be8ebdf6f02d4efec6e5f12ad06db17511f90
	aarch64: Add HWCAP2_ECV from Linux 5.16

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_ECV): New.

2022-01-11  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: a59cd1328a0283ac1091548d7a496afda40f9542
	Use Linux 5.16 in build-many-glibcs.py

	* scripts/build-many-glibcs.py: Modified.

2022-01-10  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: 7e08db3359c86c94918feb33a1182cd0ff3bb10b
	x86: Fix __wcsncmp_evex in strcmp-evex.S [BZ# 28755]

	* sysdeps/x86_64/multiarch/strcmp-evex.S: Modified.

2022-01-10  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: ddf0992cf57a93200e0c782e2a94d0733a5a0b87
	x86: Fix __wcsncmp_avx2 in strcmp-avx2.S [BZ# 28755]

	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.

2022-01-10  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 347a5b592c91f0230d52a5117fd83e1f75028207
	math: Fix float conversion regressions with gcc-12 [BZ #28713]

	* NEWS: Modified.
	* manual/math.texi: Modified.
	* math/k_casinh_template.c: Modified.
	(M_DECL_FUNC): Modified function.
	* math/math.h: Modified.
	* math/s_cacos_template.c: Modified.
	(M_DECL_FUNC): Modified function.
	* math/s_catan_template.c: Modified.
	(M_DECL_FUNC): Modified function.
	* math/s_catanh_template.c: Modified.
	(M_DECL_FUNC): Modified function.
	* math/s_clog10_template.c: Modified.
	(M_DECL_FUNC): Modified function.
	* math/s_clog_template.c: Modified.
	(M_DECL_FUNC): Modified function.
	* sysdeps/generic/math-type-macros-float.h: Modified.
	(M_MLIT): Modified.
	* sysdeps/ieee754/flt-32/e_gammaf_r.c: Modified.
	(gammaf_positive): Modified function.
	(__ieee754_gammaf_r): Modified function.
	* sysdeps/ieee754/flt-32/e_j0f.c: Modified.
	(j0f_near_root): Modified function.
	(y0f_near_root): Modified function.
	* sysdeps/ieee754/flt-32/e_j1f.c: Modified.
	(j1f_near_root): Modified function.
	(y1f_near_root): Modified function.
	* sysdeps/ieee754/flt-32/e_jnf.c: Modified.
	(__ieee754_jnf): Modified function.
	* sysdeps/ieee754/flt-32/lgamma_negf.c: Modified.
	(lg_sinpi): Modified function.
	(lg_cospi): Modified function.
	* sysdeps/ieee754/flt-32/s_log1pf.c: Modified.
	(__log1pf): Modified function.

2022-01-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e72ef23ee88187284b4b1ca9b2e314e618429d35
	elf: Simplify software TM implementation in _dl_find_object

	* elf/dl-find_object.c: Modified.
	(_dlfo_mappings_begin_update): Modified function.
	(_dlfo_mappings_end_update): Modified function.
	(_dlfo_mappings_end_update_no_switch): Remove function.
	(_dl_find_object_dlclose): Modified function.

2022-01-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6b0978c14acc2a6b5f5dbd8e8ef75fddc6656483
	Restore ENTRY_POINT definition on hppa, ia64 (bug 28749)

	* sysdeps/hppa/entry.h: New file.
	* sysdeps/ia64/entry.h: New file.

2022-01-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: acbaad31e8ea10fce8b9c0aef58afb388bf7489d
	elf: Fix fences in _dl_find_object_update (bug 28745)

	* elf/dl-find_object.c: Modified.
	(dlfo_mappings_segment): Modified.
	(_dlfo_mappings_begin_update): Modified function.
	(_dlfo_read_success): Modified function.
	(_dlfo_lookup): Modified function.
	(_dl_find_object): Modified function.
	(_dlfo_update_init_seg): Modified function.
	(_dl_find_object_update_1): Modified function.
	(atomic.h): Include file.
	* elf/dl-find_object.h: Modified.
	(_dl_find_object_from_map): Modified function.
	(atomic.h): Include file.
	(_dl_find_object_internal_copy): New function.
	* elf/tst-dl_find_object-threads.c: Modified.
	(exit_thread): Modified function.

2022-01-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d5b0046e3ddf8ea82a3eff74068b8fd2665b98db
	ttydefaults.h: Fix CSTATUS to control-t

	* sysdeps/generic/sys/ttydefaults.h: Modified.
	[! _SYS_TTYDEFAULTS_H_][! _POSIX_VDISABLE](CSTATUS): Remove.
	[! _SYS_TTYDEFAULTS_H_][_POSIX_VDISABLE](CSTATUS): Remove.
	[! _SYS_TTYDEFAULTS_H_](CSTATUS): New.

2022-01-06  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: e5fa62b8db546f8792ec9e5c61e6419f4f8e3f4d
	AArch64: Check for SVE in ifuncs [BZ #28744]

	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	[HAVE_AARCH64_SVE_ASM](libc_ifunc): Modified.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	[HAVE_AARCH64_SVE_ASM](libc_ifunc): Modified.
	* sysdeps/aarch64/multiarch/memset.c: Modified.

2022-01-06  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 65ccd641bacea33be23d51da737c2de7543d0f5e
	debug: Remove catchsegv and libSegfault (BZ #14913)

	* NEWS: Modified.
	* debug/Makefile: Modified.
	* debug/catchsegv.sh: Delete file.
	* debug/segfault.c: Delete file.
	* sysdeps/generic/register-dump.h: Delete file.
	* sysdeps/powerpc/powerpc32/register-dump.h: Delete file.
	* sysdeps/powerpc/powerpc64/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/alpha/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/arm/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/csky/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/i386/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/ia64/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/m68k/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/mips/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/riscv/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-32/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-64/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/segfault.c: Delete file.
	* sysdeps/unix/sysv/linux/sh/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/register-dump.h: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/register-dump.h: Delete file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: c1fc366ec9e78e17ad3e2ecdb4c4cc662decc32b
	Documentation for OpenRISC port

	* NEWS: Modified.
	* README: Modified.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: e9816506549404b663d8cbb8c237dcc2b8a4a2d1
	build-many-glibcs.py: add OpenRISC support

	* scripts/build-many-glibcs.py: Modified.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 0c3c62ca7d9ff3bdacdd13e636bc858101e3e288
	or1k: Build Infrastructure

	* sysdeps/or1k/Implies: New file.
	* sysdeps/or1k/Makefile: New file.
	* sysdeps/or1k/nofpu/Implies: New file.
	* sysdeps/or1k/preconfigure: New file.
	* sysdeps/unix/sysv/linux/or1k/Implies: New file.
	* sysdeps/unix/sysv/linux/or1k/Makefile: New file.
	* sysdeps/unix/sysv/linux/or1k/configure: New file.
	* sysdeps/unix/sysv/linux/or1k/configure.ac: New file.
	* sysdeps/unix/sysv/linux/or1k/shlib-versions: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: d147259b5c35da2f7764e24997cb4fd216570427
	or1k: ABI lists

	* sysdeps/unix/sysv/linux/or1k/c++-types.data: New file.
	* sysdeps/unix/sysv/linux/or1k/ld.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libBrokenLocale.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libc.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libc_malloc_debug.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libcrypt.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libm.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libresolv.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/libthread_db.abilist: New file.
	* sysdeps/unix/sysv/linux/or1k/localplt.data: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 7d334b18312dad7dcec9544d365c066d0105c183
	or1k: Linux ABI

	* sysdeps/or1k/nptl/pthreaddef.h: New file.
	* sysdeps/unix/sysv/linux/or1k/bits/procfs.h: New file.
	* sysdeps/unix/sysv/linux/or1k/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/or1k/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/or1k/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/or1k/sigcontextinfo.h: New file.
	* sysdeps/unix/sysv/linux/or1k/swapcontext.S: New file.
	* sysdeps/unix/sysv/linux/or1k/sys/ucontext.h: New file.
	* sysdeps/unix/sysv/linux/or1k/sys/user.h: New file.
	* sysdeps/unix/sysv/linux/or1k/ucontext_i.sym: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 1871c95f2bf06e33e8e2bc8387dca6ed46cc829a
	or1k: Linux Syscall Interface

	* sysdeps/unix/sysv/linux/or1k/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/or1k/clone.c: New file.
	* sysdeps/unix/sysv/linux/or1k/mmap_internal.h: New file.
	* sysdeps/unix/sysv/linux/or1k/or1k_clone.S: New file.
	* sysdeps/unix/sysv/linux/or1k/sysdep.c: New file.
	* sysdeps/unix/sysv/linux/or1k/sysdep.h: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 9a47b9660bec4ee38d27b06a3904af86f4fbd95d
	or1k: math soft float support

	* sysdeps/or1k/bits/fenv.h: New file.
	* sysdeps/or1k/libm-test-ulps: New file.
	* sysdeps/or1k/libm-test-ulps-name: New file.
	* sysdeps/or1k/nofpu/math-tests-exceptions.h: New file.
	* sysdeps/or1k/nofpu/math-tests-rounding.h: New file.
	* sysdeps/or1k/sfp-machine.h: New file.
	* sysdeps/or1k/tininess.h: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 9f3653b1fa29767d03f35d3c811d21738787abe8
	or1k: Atomics and Locking primitives

	* sysdeps/or1k/atomic-machine.h: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 96882a00ceec91edd7e595bbd2c4d047774bf1e6
	or1k: Thread Local Storage support

	* sysdeps/or1k/dl-tls.h: New file.
	* sysdeps/or1k/libc-tls.c: New file.
	* sysdeps/or1k/nptl/tls.h: New file.
	* sysdeps/or1k/stackinfo.h: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: de5c0edc804b6f2b09c05a0bde1e6679d57e4ca4
	or1k: startup and dynamic linking code

	* sysdeps/or1k/bits/link.h: New file.
	* sysdeps/or1k/dl-machine.h: New file.
	* sysdeps/or1k/dl-start.S: New file.
	* sysdeps/or1k/ldsodefs.h: New file.
	* sysdeps/or1k/sotruss-lib.c: New file.
	* sysdeps/or1k/start.S: New file.
	* sysdeps/or1k/tst-audit.h: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 6e5964311d57c017ed0af3d87095e54805f2541e
	or1k: ABI Implementation

	* sysdeps/or1k/__longjmp.S: New file.
	* sysdeps/or1k/bits/endianness.h: New file.
	* sysdeps/or1k/bits/setjmp.h: New file.
	* sysdeps/or1k/bsd-_setjmp.S: New file.
	* sysdeps/or1k/bsd-setjmp.S: New file.
	* sysdeps/or1k/dl-trampoline.S: New file.
	* sysdeps/or1k/jmpbuf-offsets.h: New file.
	* sysdeps/or1k/jmpbuf-unwind.h: New file.
	* sysdeps/or1k/machine-gmon.h: New file.
	* sysdeps/or1k/memusage.h: New file.
	* sysdeps/or1k/setjmp.S: New file.
	* sysdeps/or1k/sysdep.h: New file.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 9dde3a24f132090fa8f88d6eaa2bc4c48f2e942f
	linux/syscalls: Add or1k_atomic syscall for OpenRISC

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2022-01-05  Stafford Horne  <shorne@gmail.com>

	COMMIT: 8e1ad8073a7657a96b21faee3a84c92918cab1d6
	elf: Add reloc for OpenRISC

	* elf/elf.h: Modified.
	(R_OR1K_NONE): New.
	(R_OR1K_32): New.
	(R_OR1K_16): New.
	(R_OR1K_8): New.
	(R_OR1K_LO_16_IN_INSN): New.
	(R_OR1K_HI_16_IN_INSN): New.
	(R_OR1K_INSN_REL_26): New.
	(R_OR1K_GNU_VTENTRY): New.
	(R_OR1K_GNU_VTINHERIT): New.
	(R_OR1K_32_PCREL): New.
	(R_OR1K_16_PCREL): New.
	(R_OR1K_8_PCREL): New.
	(R_OR1K_GOTPC_HI16): New.
	(R_OR1K_GOTPC_LO16): New.
	(R_OR1K_GOT16): New.
	(R_OR1K_PLT26): New.
	(R_OR1K_GOTOFF_HI16): New.
	(R_OR1K_GOTOFF_LO16): New.
	(R_OR1K_COPY): New.
	(R_OR1K_GLOB_DAT): New.
	(R_OR1K_JMP_SLOT): New.
	(R_OR1K_RELATIVE): New.
	(R_OR1K_TLS_GD_HI16): New.
	(R_OR1K_TLS_GD_LO16): New.
	(R_OR1K_TLS_LDM_HI16): New.
	(R_OR1K_TLS_LDM_LO16): New.
	(R_OR1K_TLS_LDO_HI16): New.
	(R_OR1K_TLS_LDO_LO16): New.
	(R_OR1K_TLS_IE_HI16): New.
	(R_OR1K_TLS_IE_LO16): New.
	(R_OR1K_TLS_LE_HI16): New.
	(R_OR1K_TLS_LE_LO16): New.
	(R_OR1K_TLS_TPOFF): New.
	(R_OR1K_TLS_DTPOFF): New.
	(R_OR1K_TLS_DTPMOD): New.

2022-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f4f70c2895e3d325188a42c10eb7bb4335be6773
	elf: Add a comment after trailing backslashes

	* elf/Makefile: Modified.

2022-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bfb5ed5df3dd4d9507b4922248dc445b690d19c0
	elf: Also try DT_RUNPATH for LD_AUDIT dlopen [BZ #28455]

	* elf/Makefile: Modified.
	* elf/dl-load.c: Modified.
	(_dl_map_object): Modified function.
	* elf/tst-audit14a.c: New file.

2022-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7ac2bee49540b87e6e1c309e23ea170b0fa6e5df
	elf: Fix tst-linkall-static link when pthread is not in libc

	* elf/Makefile: Modified.

2022-01-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 28713c06129f8f64f88c423266e6ff2880216509
	elf: Sort tests and modules-names

	* elf/Makefile: Modified.

2022-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5d8eb435a8f2f2af2babe76a0e88a54b2668c3c7
	hurd: nuke all unknown ports on exec

	* hurd/hurdexec.c: Modified.
	(_hurd_exec_paths): Modified function.

2022-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0e298448aad6fabf455923e72e0d1a3c56e9ab9e
	hurd: Fix auth port leak

	* hurd/hurdexec.c: Modified.
	(_hurd_exec_paths): Modified function.

2022-01-03  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8df0def7a4e852058e85af8493265c9ebb49bd08
	Remove stale reference to libanl.a

	* elf/Makefile: Modified.

2022-01-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9288c92d0037745b940a90d59cbe102d4c218c26
	elf: Add <dl-debug.h>

	* elf/dl-reloc-static-pie.c: Modified.
	(_dl_relocate_static_pie): Modified function.
	(dl-debug.h): Include file.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	(dl-debug.h): Include file.
	* sysdeps/generic/dl-debug.h: New file.
	* sysdeps/mips/dl-debug.h: New file.
	* sysdeps/mips/dl-machine.h: Modified.
	[! dl_machine_h](ELF_MACHINE_DEBUG_SETUP): Remove.

2022-01-03  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: bd1616c6bee625a2726d0f8b477881b4b25697d8
	Properly check linker option in LIBC_LINKER_FEATURE [BZ #28738]

	* aclocal.m4: Modified.
	* configure: Modified.

2022-01-02  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a51faeee6ae68da63e65eb0a1eb6c9ec2ce2148b
	hurd: Implement _S_msg_get_dtable

	* hurd/hurdmsg.c: Modified.
	(_S_msg_get_dtable): Modified function.

2022-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: b92a49359f33a461db080a33940d73f47c756126
	Update automatically-generated copyright dates

	* locale/programs/charmap-kw.h: Modified.
	[! __GNUC__](charmap_hash): Modified function.
	* locale/programs/locfile-kw.h: Modified.
	[! __GNUC__](locfile_hash): Modified function.

2022-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 0933a4a1b78ad9aa385dd8465d347d850f765fa8
	Sync move-if-change from Gnulib, updating copyright

	* scripts/move-if-change: Modified.

2022-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 634b5ebac6213d2361555318c75a21f96881b3f2
	Update copyright dates not handled by scripts/update-copyrights.

	* catgets/gencat.c: Modified.
	(print_version): Modified function.
	* debug/catchsegv.sh: Modified.
	* debug/pcprofiledump.c: Modified.
	(print_version): Modified function.
	* debug/xtrace.sh: Modified.
	* elf/ldconfig.c: Modified.
	(print_version): Modified function.
	* elf/ldd.bash.in: Modified.
	* elf/pldd.c: Modified.
	(print_version): Modified function.
	* elf/sotruss.sh: Modified.
	* elf/sprof.c: Modified.
	(print_version): Modified function.
	* iconv/iconv_prog.c: Modified.
	(print_version): Modified function.
	* iconv/iconvconfig.c: Modified.
	(print_version): Modified function.
	* locale/programs/locale.c: Modified.
	(print_version): Modified function.
	* locale/programs/localedef.c: Modified.
	(print_version): Modified function.
	* login/programs/pt_chown.c: Modified.
	(print_version): Modified function.
	* malloc/memusage.sh: Modified.
	* malloc/memusagestat.c: Modified.
	(print_version): Modified function.
	* malloc/mtrace.pl: Modified.
	* nscd/nscd.c: Modified.
	(print_version): Modified function.
	* nss/getent.c: Modified.
	(print_version): Modified function.
	* nss/makedb.c: Modified.
	(print_version): Modified function.
	* posix/getconf.c: Modified.
	(main): Modified function.
	* scripts/test-installation.pl: Modified.
	* sysdeps/unix/sysv/linux/lddlibc4.c: Modified.
	(main): Modified function.

2022-01-01  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 581c785bf31bc74430320c7856bbfa3875d025fe
	Update copyright dates with scripts/update-copyrights

	* Suppressing diff as too many files differ.

2022-01-01  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: edb5ab841a049c8a8267ebc4d537eec690952daa
	hurd: Use __trivfs_server_name instead of trivfs_server_name

	* sysdeps/mach/hurd/getrandom.c: Modified.
	(trivfs_server_name): Remove.
	(__getrandom): Modified function.
	(__trivfs_server_name): New.

2021-12-31  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 35cf8a85ed87b70db021d3b8a5026cec9d9094dd
	hurd: Bump BRK_START to 0x20000000

	* sysdeps/mach/hurd/i386/vm_param.h: Modified.
	(BRK_START): Modified.

2021-12-31  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8c0727af63198661c0ae3641a9d66609021754a7
	hurd: Avoid overzealous shared objects constraints

	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h](ELF_MACHINE_USER_ADDRESS_MASK): Modified.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__mmap): Modified function.

2021-12-31  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1f17da01e64efba97c0d39e2b3d01c8034b6db5a
	time: Refactor timesize.h for some ABIs

	* sysdeps/unix/sysv/linux/mips/bits/timesize.h: Modified.
	[_MIPS_SIM != _ABI64](__TIMESIZE): Remove.
	[_MIPS_SIM == _ABI64](__TIMESIZE): Remove.
	(bits/wordsize.h): Include file.
	(__TIMESIZE): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/bits/timesize.h: Move to...
	* sysdeps/unix/sysv/linux/powerpc/bits/timesize.h: ... here.
	(__TIMESIZE): Modified.
	(bits/wordsize.h): Include file.
	* sysdeps/unix/sysv/linux/s390/s390-32/bits/timesize.h: Move to...
	* sysdeps/unix/sysv/linux/s390/bits/timesize.h: ... here.
	(__TIMESIZE): Modified.
	(bits/wordsize.h): Include file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/bits/timesize.h: Move to...
	* sysdeps/unix/sysv/linux/sparc/bits/timesize.h: ... here.
	(__TIMESIZE): Modified.
	(bits/wordsize.h): Include file.

2021-12-31  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 33e8e95cbd0d6724553f390142d4b11352d59dd0
	hurd: Make getrandom a stub inside the random translator

	* sysdeps/mach/hurd/getrandom.c: Modified.
	(__getrandom): Modified function.
	(trivfs_server_name): New.

2021-12-31  Stafford Horne  <shorne@gmail.com>

	COMMIT: 4dfa8f4870c862540bd9b09130a68664d45f1569
	open64: Force O_LARGEFILE on all architectures

	* sysdeps/unix/sysv/linux/open64.c: Modified.
	[! __OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	[__OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	(__libc_open64): Modified function.
	* sysdeps/unix/sysv/linux/open64_nocancel.c: Modified.
	[! __OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	[__OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	(__open64_nocancel): Modified function.
	* sysdeps/unix/sysv/linux/openat64.c: Modified.
	[! __OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	[__OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	(__libc_openat64): Modified function.
	* sysdeps/unix/sysv/linux/openat64_nocancel.c: Modified.
	[! __OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	[__OFF_T_MATCHES_OFF64_T](EXTRA_OPEN_FLAGS): Remove.
	(__openat64_nocancel): Modified function.

2021-12-30  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: c21c7bc24ec58c516d1608695d9c5a86f2f2fc0c
	x86-64: Add vector tan/tanf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tan): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_tan): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_tanf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tan8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tan2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tan4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tan4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tan8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tan-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tan-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tan-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tan.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-30  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 8881cca8fb8d3a7ee89d174017dd27eded90366c
	x86-64: Add vector erfc/erfcf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfc): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfcf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_erfc): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_erfcf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erfc8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erfcf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erfc2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erfc4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erfc4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erfc8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erfcf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erfcf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erfcf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erfcf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erfc-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erfc-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erfc-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erfc.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-erfcf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-erfcf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-erfcf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-erfcf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bc1e344dc1fb7f406c42e03a63dd3dbf426af9e7
	resolv: Do not install libanl.so symbolic link

	* resolv/Makefile: Modified.

2021-12-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 737e873b305d8a2d925a8e346b84910eae5a39b3
	resolv: Do not build libanl.so for ABIs starting at 2.35

	* resolv/Makefile: Modified.

2021-12-30  Hans-Peter Nilsson  <hp@axis.com>
            Christopher Wong  <Christopher.Wong@axis.com>

	COMMIT: ebe899af0dc3215159a9c896ac6f35b72a18cb6e
	timezone: test-case for BZ #28707

	* timezone/Makefile: Modified.
	* timezone/testdata/gen-XT5.sh: New file.
	* timezone/tst-bz28707.c: New file.

2021-12-30  Hans-Peter Nilsson  <hp@axis.com>
            Christopher Wong  <Christopher.Wong@axis.com>

	COMMIT: c36f64aa6dff13b12a1e03a185e75a50fa9f6a4c
	timezone: handle truncated timezones from tzcode-2021d and later (BZ #28707)

	* time/tzfile.c: Modified.
	(__tzfile_read): Modified function.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: e682d0157854955e4b5fc91731d24a854e810eee
	x86-64: Add vector asinh/asinhf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinh): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinhf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_asinh): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_asinhf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asinh8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinhf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asinh2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asinh4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asinh4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asinh8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinhf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinhf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinhf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinhf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asinh-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asinh-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asinh-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asinh.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinhf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinhf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinhf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinhf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: c0f36fc3032047cc2f50be5b705d6d445a9ad21b
	x86-64: Add vector tanh/tanhf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanh): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_tanhf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_tanh): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_tanhf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_tanh8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_tanhf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tanh2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tanh4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tanh4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_tanh8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanhf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanhf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanhf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_tanhf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tanh-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tanh-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tanh-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-tanh.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanhf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanhf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanhf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-tanhf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: f9ce13fdac6c27745f872561102f1a9f746c5b2e
	x86-64: Add vector erf/erff implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erfl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_erff128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_erf): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_erff): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_erf8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_erff8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erf2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erf4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_erf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erff16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erff4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erff8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_erff8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-erf.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-erff-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-erff-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-erff-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-erff.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 0625489ccc430ccbc5e6e70b4402d7e7d2d3ed17
	x86-64: Add vector acosh/acoshf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosh): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acoshf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_acosh): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_acoshf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acosh8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acoshf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_acosh2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_acosh4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_acosh4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_acosh8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_acoshf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_acoshf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_acoshf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_acoshf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-acosh-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-acosh-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-acosh-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-acosh.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-acoshf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-acoshf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-acoshf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-acoshf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 6dea4dd3dae3eb488361c081365a0518f327dacf
	x86-64: Add vector atanh/atanhf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanh): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanhf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_atanh): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_atanhf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atanh8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanhf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atanh2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atanh4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atanh4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atanh8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanhf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanhf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanhf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanhf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atanh-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atanh-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atanh-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atanh.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanhf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanhf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanhf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanhf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 74265c16ab74d3df3c7520aed63e7820b6870d67
	x86-64: Add vector log1p/log1pf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1p): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log1pf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_log1p): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_log1pf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log1p8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log1pf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log1p2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log1p4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log1p4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log1p8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log1pf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log1pf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log1pf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log1pf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log1p-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log1p-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log1p-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log1p.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-log1pf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log1pf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log1pf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log1pf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 7e1722fec84c65bf95f249f9ad8d15ab12d8c853
	x86-64: Add vector log2/log2f implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2l): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log2f128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Remove.
	[__USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_log2): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_log2f): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log22_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log22_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log22_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log24_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log24_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log24_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log28_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log28_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log28_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log2f8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log22_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log24_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log24_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log28_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log2f16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log2f4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log2f8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log2f8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log2-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log2-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log2-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log2.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-log2f-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log2f-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log2f-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log2f.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 8f8566026dbe4ab104cab5845c4cdc9896702fdb
	x86-64: Add vector log10/log10f implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10l): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_log10f128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_log10): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_log10f): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log102_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log102_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log102_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log104_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log104_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log104_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log108_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log108_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_log108_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_log10f8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log102_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log104_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log104_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_log108_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log10f16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log10f4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log10f8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_log10f8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log10-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log10-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log10-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-log10.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-log10f-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log10f-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log10f-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-log10f.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 2941a24f8c914403bd14b035f806de9491622453
	x86-64: Add vector atan2/atan2f implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2l): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan2f128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_atan2): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_atan2f): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan22_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan22_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan22_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan24_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan24_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan24_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan28_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan28_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan28_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atan2f8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan22_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan24_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan24_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan28_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atan2f16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atan2f4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atan2f8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atan2f8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan2-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan2-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan2-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan2.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-atan2f-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atan2f-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atan2f-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atan2f.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 2bf02c5843896c5c109b1467c64ecf11cbc2ad7b
	x86-64: Add vector cbrt/cbrtf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrt): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cbrtf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_cbrt): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_cbrtf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cbrt8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_cbrtf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cbrt2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cbrt4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cbrt4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cbrt8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_cbrtf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_cbrtf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_cbrtf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_cbrtf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cbrt-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cbrt-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cbrt-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cbrt.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-cbrtf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-cbrtf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-cbrtf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-cbrtf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: aa1809a1dfde88e5df73edba14b30e488b267343
	x86-64: Add vector sinh/sinhf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinh): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_sinhf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_sinh): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_sinhf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_sinh8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_sinhf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_sinh2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_sinh4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_sinh4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_sinh8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_sinhf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_sinhf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_sinhf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_sinhf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-sinh-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-sinh-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-sinh-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-sinh.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-sinhf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-sinhf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-sinhf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-sinhf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 76ddc74e86f7bc36468736dd22c4c29e39cd62d8
	x86-64: Add vector expm1/expm1f implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1l): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_expm1f128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN_EXTENDED ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_expm1): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_expm1f): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm12_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm12_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm12_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm14_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm14_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm14_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm18_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm18_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_expm18_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_expm1f8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_expm12_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_expm14_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_expm14_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_expm18_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_expm1f16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_expm1f4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_expm1f8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_expm1f8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-expm1-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-expm1-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-expm1-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-expm1.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-expm1f-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-expm1f-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-expm1f-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-expm1f.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: ef7ea9c1327be11c54462cb539ea8854979a21f3
	x86-64: Add vector cosh/coshf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_cosh): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_coshf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_cosh): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_coshf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_cosh8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_coshf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cosh2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cosh4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cosh4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_cosh8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_coshf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_coshf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_coshf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_coshf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cosh-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cosh-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cosh-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-cosh.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-coshf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-coshf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-coshf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-coshf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 8b726453d560eef536c9ff730f5f5be05b4ad6a7
	x86-64: Add vector exp10/exp10f implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10l): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp10f128x): New.
	* math/bits/mathcalls.h: Modified.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C2X)](__MATHCALL): Remove.
	[__GLIBC_USE (IEC_60559_FUNCS_EXT_C2X)](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_exp10): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_exp10f): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp102_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp102_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp102_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp104_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp104_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp104_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp108_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp108_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp108_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp10f8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp102_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp104_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp104_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp108_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp10f16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp10f4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp10f8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp10f8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp10-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp10-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp10-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp10.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp10f-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp10f-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp10f-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp10f.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 3fc9ccc20b6d0d5e4517d2e766f14ce780a228a5
	x86-64: Add vector exp2/exp2f implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2l): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_exp2f128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Modified.
	[__USE_ISOC99](__MATHCALL): Remove.
	[__USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_exp2): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_exp2f): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp22_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp22_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp22_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp24_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp24_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp24_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp28_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp28_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_exp28_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_exp2f8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp22_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp24_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp24_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_exp28_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp2f16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp2f4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp2f8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_exp2f8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp2-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp2-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp2-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-exp2.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp2f-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp2f-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp2f-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-exp2f.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 37475ba88303929e85704693455c7294e50aba77
	x86-64: Add vector hypot/hypotf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypot): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_hypotf128x): New.
	* math/bits/mathcalls.h: Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Modified.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL): Remove.
	[__USE_XOPEN ||  __USE_ISOC99](__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_hypot): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_hypotf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_hypot8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_hypotf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_hypot2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_hypot4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_hypot4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_hypot8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_hypotf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_hypotf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_hypotf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_hypotf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-hypot-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-hypot-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-hypot-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-hypot.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-hypotf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-hypotf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-hypotf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-hypotf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 11c01de14c879ffc8dbac8ce32242a7552cbd4ad
	x86-64: Add vector asin/asinf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asin): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_asinf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_asin): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_asinf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_asin8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_asinf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asin2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asin4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asin4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_asin8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_asinf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asin-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asin-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asin-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-asin.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-asinf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-29  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: 146310177aa9f2c7d990ef856ed6e8bb94407f06
	x86-64: Add vector atan/atanf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atan): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_atanf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_atan): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_atanf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_atan8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf8_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_atanf8_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan2_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan4_core_avx.S: New file.
	* sysdeps/x86_64/fpu/svml_d_atan8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanf16_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanf4_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanf8_core.S: New file.
	* sysdeps/x86_64/fpu/svml_s_atanf8_core_avx.S: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan-avx.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-double-libmvec-atan.c: New file.
	* sysdeps/x86_64/fpu/test-double-vlen2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-double-vlen8-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanf-avx.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanf-avx2.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanf-avx512f.c: New file.
	* sysdeps/x86_64/fpu/test-float-libmvec-atanf.c: New file.
	* sysdeps/x86_64/fpu/test-float-vlen16-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen4-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-avx2-wrappers.c: Modified.
	* sysdeps/x86_64/fpu/test-float-vlen8-wrappers.c: Modified.

2021-12-28  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5d28a8962dcb6ec056b81d730e3c6fb57185a210
	elf: Add _dl_find_object function

	* NEWS: Modified.
	* bits/dl_find_object.h: New file.
	* dlfcn/Makefile: Modified.
	* dlfcn/dlfcn.h: Modified.
	[__USE_GNU](bits/dl_find_object.h): Include file.
	[__USE_GNU](dl_find_object): New.
	[__USE_GNU](_dl_find_object): New function.
	* elf/Makefile: Modified.
	* elf/Versions: Modified.
	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	(dl-find_object.h): Include file.
	* elf/dl-find_object.c: New file.
	* elf/dl-find_object.h: New file.
	* elf/dl-libc_freeres.c: Modified.
	(__rtld_libc_freeres): Modified function.
	(dl-find_object.h): Include file.
	* elf/dl-open.c: Modified.
	(dl_open_worker_begin): Modified function.
	(dl-find_object.h): Include file.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.
	(dl-find_object.h): Include file.
	* elf/libc-dl_find_object.c: New file.
	* elf/rtld.c: Modified.
	(_dl_start): Modified function.
	(dl_main): Modified function.
	(dl-find_object.h): Include file.
	* elf/rtld_static_init.c: Modified.
	(__rtld_static_init): Modified function.
	* elf/tst-dl_find_object-mod1.c: New file.
	* elf/tst-dl_find_object-mod2.c: New file.
	* elf/tst-dl_find_object-mod3.c: New file.
	* elf/tst-dl_find_object-mod4.c: New file.
	* elf/tst-dl_find_object-mod5.c: New file.
	* elf/tst-dl_find_object-mod6.c: New file.
	* elf/tst-dl_find_object-mod7.c: New file.
	* elf/tst-dl_find_object-mod8.c: New file.
	* elf/tst-dl_find_object-mod9.c: New file.
	* elf/tst-dl_find_object-static.c: New file.
	* elf/tst-dl_find_object-threads.c: New file.
	* elf/tst-dl_find_object.c: New file.
	* include/atomic_wide_counter.h: Modified.
	[! __HAVE_64B_ATOMICS](__atomic_wide_counter_load_acquire): New function.
	[__HAVE_64B_ATOMICS](__atomic_wide_counter_load_acquire): New function.
	* include/bits/dl_find_object.h: New file.
	* include/dlfcn.h: Modified.
	[! _ISOMAC](rtld_hidden_proto): New.
	* include/link.h: Modified.
	[! _ISOMAC](link_map): Modified.
	* manual/Makefile: Modified.
	* manual/dynlink.texi: New file.
	* manual/libdl.texi: Delete file.
	* manual/probes.texi: Modified.
	* manual/threads.texi: Modified.
	* sysdeps/arm/bits/dl_find_object.h: New file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global_ro): Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/nios2/bits/dl_find_object.h: New file.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/x86/bits/dl_find_object.h: New file.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 83b8d5027d2f80c4603cd706da95d6c9a09a4e16
	malloc: Remove memusage.h

	* malloc/memusage.c: Modified.
	(memusage.h): Remove include.
	(update_data): Modified function.
	(me): Modified function.
	(init): Modified function.
	(machine-sp.h): Include file.
	(stackinfo.h): Include file.
	* sysdeps/aarch64/memusage.h: Delete file.
	* sysdeps/alpha/memusage.h: Delete file.
	* sysdeps/arc/memusage.h: Delete file.
	* sysdeps/arm/memusage.h: Delete file.
	* sysdeps/csky/memusage.h: Delete file.
	* sysdeps/hppa/memusage.h: Delete file.
	* sysdeps/i386/htl/machine-sp.h: Modified.
	(__thread_stack_pointer): Modified.
	* sysdeps/i386/i586/memusage.h: Delete file.
	* sysdeps/i386/i686/memusage.h: Delete file.
	* sysdeps/i386/memusage.h: Delete file.
	* sysdeps/ia64/memusage.h: Delete file.
	* sysdeps/m68k/memusage.h: Delete file.
	* sysdeps/mach/i386/machine-sp.h: Modified.
	(__thread_stack_pointer): Modified.
	* sysdeps/microblaze/memusage.h: Delete file.
	* sysdeps/mips/memusage.h: Delete file.
	* sysdeps/nios2/memusage.h: Delete file.
	* sysdeps/powerpc/memusage.h: Delete file.
	* sysdeps/riscv/memusage.h: Delete file.
	* sysdeps/s390/memusage.h: Delete file.
	* sysdeps/sh/memusage.h: Delete file.
	* sysdeps/sparc/memusage.h: Delete file.
	* sysdeps/generic/memusage.h: Move to...
	* sysdeps/unix/sysv/linux/machine-sp.h: ... here.
	[! GETSP](GETSP is not defined for this architecture."): Remove.
	[! GETSP](GETSP): Remove.
	(limits.h): Remove include.
	(stdint.h): Remove include.
	(_MACHINE_SP_H): New.
	(__thread_stack_pointer): New function.
	* sysdeps/x86_64/memusage.h: Delete file.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a75b1e35c542342f3f3bc5c8ecc9c9c9c7a48c49
	malloc: Use hp-timing on libmemusage

	* malloc/memusage.c: Modified.
	(update_data): Modified function.
	(me): Modified function.
	(dest): Modified function.
	(hp-timing.h): Include file.
	(gettime): New function.
	* sysdeps/generic/memusage.h: Modified.
	[! GETTIME](GETTIME): Remove.
	* sysdeps/i386/i686/memusage.h: Modified.
	(GETTIME): Remove.
	* sysdeps/ia64/memusage.h: Modified.
	(GETTIME): Remove.
	* sysdeps/x86_64/memusage.h: Modified.
	(GETTIME): Remove.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 92ff345137bfc9e1ecf23c604b7022a25e36cb32
	Remove atomic-machine.h atomic typedefs

	* sysdeps/aarch64/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(atomic16_t): Remove.
	(atomic32_t): Remove.
	(atomic64_t): Remove.
	(uatomic8_t): Remove.
	(uatomic16_t): Remove.
	(uatomic32_t): Remove.
	(uatomic64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/alpha/atomic-machine.h: Modified.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	(__arch_compare_and_exchange_xxx_32_int): Modified.
	* sysdeps/arc/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/arm/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/csky/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/ia64/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/m68k/coldfire/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/m68k/m680x0/m68020/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/microblaze/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/mips/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(inttypes.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/powerpc/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/s390/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/sparc/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/unix/sysv/linux/hppa/atomic-machine.h: Modified.
	[! _ATOMIC_MACHINE_H](_ATOMIC_MACHINE_H): Remove.
	[! _ATOMIC_MACHINE_H](atomic8_t): Remove.
	[! _ATOMIC_MACHINE_H](uatomic8_t): Remove.
	[! _ATOMIC_MACHINE_H](atomic_fast8_t): Remove.
	[! _ATOMIC_MACHINE_H](uatomic_fast8_t): Remove.
	[! _ATOMIC_MACHINE_H](atomic32_t): Remove.
	[! _ATOMIC_MACHINE_H](uatomic32_t): Remove.
	[! _ATOMIC_MACHINE_H](atomic_fast32_t): Remove.
	[! _ATOMIC_MACHINE_H](uatomic_fast32_t): Remove.
	[! _ATOMIC_MACHINE_H](atomicptr_t): Remove.
	[! _ATOMIC_MACHINE_H](uatomicptr_t): Remove.
	[! _ATOMIC_MACHINE_H](atomic_max_t): Remove.
	[! _ATOMIC_MACHINE_H](uatomic_max_t): Remove.
	[! _ATOMIC_MACHINE_H](atomic_full_barrier): Remove.
	[! _ATOMIC_MACHINE_H](__HAVE_64B_ATOMICS): Remove.
	[! _ATOMIC_MACHINE_H](USE_ATOMIC_COMPILER_BUILTINS): Remove.
	[! _ATOMIC_MACHINE_H](__atomic_link_error): Remove.
	[! _ATOMIC_MACHINE_H](__atomic_check_size_ls): Remove.
	[! _ATOMIC_MACHINE_H](atomic_load_relaxed): Remove.
	[! _ATOMIC_MACHINE_H](atomic_load_acquire): Remove.
	[! _ATOMIC_MACHINE_H](atomic_store_relaxed): Remove.
	[! _ATOMIC_MACHINE_H](atomic_store_release): Remove.
	[! _ATOMIC_MACHINE_H](ATOMIC_EXCHANGE_USES_CAS): Remove.
	[! _ATOMIC_MACHINE_H](_LWS): Remove.
	[! _ATOMIC_MACHINE_H](_LWS_CAS): Remove.
	[! _ATOMIC_MACHINE_H](_LWS_CLOBBER): Remove.
	[! _ATOMIC_MACHINE_H](_ASM_EAGAIN): Remove.
	[! _ATOMIC_MACHINE_H](_ASM_EDEADLOCK): Remove.
	[! _ATOMIC_MACHINE_H](atomic_compare_and_exchange_val_acq): Remove.
	[! _ATOMIC_MACHINE_H](atomic_compare_and_exchange_bool_acq): Remove.
	(stdint.h): Remove include.
	(_ATOMIC_MACHINE_H): New.
	(atomic_full_barrier): New.
	(__HAVE_64B_ATOMICS): New.
	(USE_ATOMIC_COMPILER_BUILTINS): New.
	(__atomic_link_error): New function.
	(__atomic_check_size_ls): New.
	(atomic_load_relaxed): New.
	(atomic_load_acquire): New.
	(atomic_store_relaxed): New.
	(atomic_store_release): New.
	(ATOMIC_EXCHANGE_USES_CAS): New.
	(_LWS): New.
	(_LWS_CAS): New.
	(_LWS_CLOBBER): New.
	(_ASM_EAGAIN): New.
	(_ASM_EDEADLOCK): New.
	(atomic_compare_and_exchange_val_acq): New.
	(atomic_compare_and_exchange_bool_acq): New.
	* sysdeps/unix/sysv/linux/m68k/coldfire/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/unix/sysv/linux/nios2/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/unix/sysv/linux/riscv/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/unix/sysv/linux/sh/atomic-machine.h: Modified.
	(stdint.h): Remove include.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	* sysdeps/x86/atomic-machine.h: Modified.
	[__x86_64__](__arch_c_compare_and_exchange_val_64_acq): Modified.
	(atomic8_t): Remove.
	(uatomic8_t): Remove.
	(atomic_fast8_t): Remove.
	(uatomic_fast8_t): Remove.
	(atomic16_t): Remove.
	(uatomic16_t): Remove.
	(atomic_fast16_t): Remove.
	(uatomic_fast16_t): Remove.
	(atomic32_t): Remove.
	(uatomic32_t): Remove.
	(atomic_fast32_t): Remove.
	(uatomic_fast32_t): Remove.
	(atomic64_t): Remove.
	(uatomic64_t): Remove.
	(atomic_fast64_t): Remove.
	(uatomic_fast64_t): Remove.
	(atomicptr_t): Remove.
	(uatomicptr_t): Remove.
	(atomic_max_t): Remove.
	(uatomic_max_t): Remove.
	(atomic_exchange_acq): Modified.
	(__arch_exchange_and_add_body): Modified.
	(__arch_add_body): Modified.
	(atomic_add_negative): Modified.
	(atomic_add_zero): Modified.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 5a5f7a160da6ac3d141013e9a08f78edc216e434
	malloc: Remove atomic_* usage

	* malloc/memusage.c: Modified.
	(calls): Modified.
	(failed): Modified.
	(total): Modified.
	(grand_total): Modified.
	(large): Modified.
	(calls_total): Modified.
	(inplace): Modified.
	(decreasing): Modified.
	(realloc_free): Modified.
	(inplace_mremap): Modified.
	(decreasing_mremap): Modified.
	(current_heap): Modified.
	(peak_use): Modified.
	(buffer_cnt): Modified.
	(update_data): Modified function.
	* sysdeps/arc/memusage.h: Modified.
	(uatomic32_t): Remove.
	* sysdeps/generic/memusage.h: Modified.
	[! memusage_size_t][LONG_BIT != 32](memusage_size_t): Remove.
	[! memusage_size_t][LONG_BIT == 32](memusage_size_t): Remove.
	[LONG_BIT != 32](memusage_cntr_t): Remove.
	[LONG_BIT == 32](memusage_cntr_t): Remove.
	(atomic.h): Remove include.
	* sysdeps/nios2/memusage.h: Modified.
	(uatomic32_t): Remove.

2021-12-28  Thomas Petazzoni  <thomas.petazzoni@bootlin.com>

	COMMIT: c75aa9246a8cfc814d99cf5f58229177bd69fc4f
	microblaze: Add missing implementation when !__ASSUME_TIME64_SYSCALLS

	* sysdeps/unix/sysv/linux/microblaze/pselect32.c: Modified.
	[! __ASSUME_TIME64_SYSCALL](sysdeps/unix/sysv/linux/pselect32.c): New.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 484e672ddabe0a919a692520e6ac8f2580866235
	elf: Do not fail for failed dlmopen on audit modules (BZ #28061)

	* elf/Makefile: Modified.
	* elf/dl-open.c: Modified.
	(_dl_open): Modified function.
	* elf/tst-audit20.c: New file.
	* elf/tst-auditmod20.c: New file.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f0e23d34a7bdf6b90fba954ee741419171ac41b2
	elf: Issue audit la_objopen for vDSO

	* elf/Makefile: Modified.
	* elf/dl-object.c: Modified.
	(_dl_new_object): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* elf/setup-vdso.h: Modified.
	(setup_vdso): Modified function.
	* elf/tst-audit22.c: New file.
	* elf/tst-auditmod22.c: New file.
	* include/dlfcn.h: Modified.
	[! _ISOMAC](__RTLD_VDSO): New.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d1b38173c9255b1a4ae00018ad9b35404a7c74d0
	elf: Add audit tests for modules with TLSDESC

	* elf/Makefile: Modified.
	* elf/tst-audit-tlsdesc-dlopen.c: New file.
	* elf/tst-audit-tlsdesc-mod1.c: New file.
	* elf/tst-audit-tlsdesc-mod2.c: New file.
	* elf/tst-audit-tlsdesc.c: New file.
	* elf/tst-auditmod-tlsdesc.c: New file.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>
            Alexander Monakov  <amonakov@ispras.ru>

	COMMIT: 063f9ba220f434c7f30dd65c4cff17c0c458a7cf
	elf: Avoid unnecessary slowdown from profiling with audit (BZ#15533)

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/dl-reloc.c: Modified.
	(_dl_relocate_object): Modified function.
	* elf/dl-runtime.c: Modified.
	[! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	* elf/rtld.c: Modified.
	(load_audit_module): Modified function.
	* elf/tst-audit19a.c: New file.
	* elf/tst-audit19b.c: New file.
	* elf/tst-audit19bmod.c: New file.
	* elf/tst-auditmod19a.c: New file.
	* elf/tst-auditmod19b.c: New file.
	* include/link.h: Modified.
	[! _ISOMAC][__ELF_NATIVE_CLASS == 32](LA_SYMBIND): New.
	[! _ISOMAC][__ELF_NATIVE_CLASS == 64](LA_SYMBIND): New.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8c0664e2b861fd3789602cc0b0b1922b0e20cb3a
	elf: Add _dl_audit_pltexit

	* elf/dl-audit.c: Modified.
	(dl-runtime.h): Include file.
	(dl-fixup-attribute.h): Include file.
	(_dl_audit_pltexit): New function.
	* elf/dl-runtime.c: Modified.
	[! ARCH_FIXUP_ATTRIBUTE](ARCH_FIXUP_ATTRIBUTE): Remove.
	[! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[!((!ELF_MACHINE_NO_RELA && ! ELF_MACHINE_PLT_REL)  || ELF_MACHINE_NO_REL)](PLTREL): Remove.
	[(!ELF_MACHINE_NO_RELA && ! ELF_MACHINE_PLT_REL)  || ELF_MACHINE_NO_REL](PLTREL): Remove.
	[ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[PROF](stdio.h): Remove.
	[PROF](_dl_fixup): Remove.
	(IN_DL_RUNTIME): Remove.
	(ARCH_FIXUP_ATTRIBUTE): Remove.
	* elf/dl-support.c: Modified.
	(_dl_audit_pltexit): New function.
	* sysdeps/aarch64/dl-trampoline.S: Modified.
	* sysdeps/alpha/dl-trampoline.S: Modified.
	* sysdeps/arm/dl-machine-rel.h: Modified.
	(PLTREL): New.
	* sysdeps/arm/dl-trampoline.S: Modified.
	* sysdeps/generic/dl-fixup-attribute.h: New file.
	* sysdeps/generic/dl-machine-rel.h: Modified.
	(PLTREL): New.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_pltexit): New function.
	(dl-fixup-attribute.h): Include file.
	* sysdeps/hppa/dl-runtime.c: Modified.
	(_dl_fix_reloc_arg): Modified function.
	* sysdeps/hppa/dl-trampoline.S: Modified.
	* sysdeps/i386/dl-fixup-attribute.h: New file.
	* sysdeps/i386/dl-machine-rel.h: Modified.
	(PLTREL): New.
	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h][IN_DL_RUNTIME][! PROF](ARCH_FIXUP_ATTRIBUTE): Remove.
	[! dl_machine_h][IN_DL_RUNTIME][! PROF](ARCH_FIXUP_ATTRIBUTE): Remove.
	[! dl_machine_h][IN_DL_RUNTIME][! PROF](ARCH_FIXUP_ATTRIBUTE): Remove.
	* sysdeps/i386/dl-trampoline.S: Modified.
	* sysdeps/ia64/dl-trampoline.S: Modified.
	* sysdeps/m68k/dl-trampoline.S: Modified.
	* sysdeps/mips/dl-machine-rel.h: Modified.
	(PLTREL): New.
	* sysdeps/powerpc/powerpc64/dl-trampoline.S: Modified.
	* sysdeps/s390/s390-32/dl-trampoline.h: Modified.
	* sysdeps/s390/s390-64/dl-trampoline.h: Modified.
	* sysdeps/sh/dl-trampoline.S: Modified.
	* sysdeps/sparc/sparc32/dl-trampoline.S: Modified.
	* sysdeps/sparc/sparc64/dl-trampoline.S: Modified.
	* sysdeps/x86_64/dl-runtime.h: Modified.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: eff687e8462b0eaf65992a6031b54a4b1cd16796
	elf: Add _dl_audit_pltenter

	* elf/dl-audit.c: Modified.
	(link.h): Include file.
	(dl-machine.h): Include file.
	(_dl_audit_pltenter): New function.
	* elf/dl-runtime.c: Modified.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_pltenter): New function.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 0b98a8748759e88b58927882a8714109abe0a2d6
	elf: Add _dl_audit_preinit

	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* elf/Versions: Modified.
	* elf/dl-audit.c: Modified.
	(_dl_audit_preinit): New function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_preinit): New function.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cda4f265c65fb6c4ce38ca1cf0a7e527c5e77cd5
	elf: Add _dl_audit_symbind_alt and _dl_audit_symbind

	* elf/Versions: Modified.
	* elf/dl-audit.c: Modified.
	(assert.h): Include file.
	(_dl_audit_symbind_alt): New function.
	(rtld_hidden_def): New.
	(_dl_audit_symbind): New function.
	* elf/dl-runtime.c: Modified.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	* elf/dl-sym-post.h: Modified.
	(_dl_sym_post): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_symbind): New function.
	[IS_IN (rtld)][SHARED](_dl_audit_symbind_alt): New function.
	[IS_IN (rtld)][SHARED](rtld_hidden_proto): New.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 311c9ee54ea963ff69bd3a2e6981c37e893b4c3e
	elf: Add _dl_audit_objclose

	* elf/dl-audit.c: Modified.
	(_dl_audit_objclose): New function.
	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/dl-fini.c: Modified.
	(_dl_fini): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_objclose): New function.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c91008d3490e4e3ce29520068405f081f0d368ca
	elf: Add _dl_audit_objsearch

	* elf/dl-audit.c: Modified.
	(_dl_audit_objsearch): New function.
	* elf/dl-load.c: Modified.
	(open_verify): Modified function.
	(_dl_map_object): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_objsearch): New function.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3dac3959a5cb585b065cef2cb8a8d909c907e202
	elf: Add _dl_audit_activity_map and _dl_audit_activity_nsid

	* elf/dl-audit.c: Modified.
	(_dl_audit_activity_map): New function.
	(_dl_audit_activity_nsid): New function.
	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	* elf/dl-open.c: Modified.
	(dl_open_worker_begin): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_activity_map): New function.
	[IS_IN (rtld)][SHARED](_dl_audit_activity_nsid): New function.

2021-12-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: aee6e90f93e285016b6cd9c8bd00402c19ba271b
	elf: Add _dl_audit_objopen

	* elf/Makefile: Modified.
	* elf/dl-audit.c: New file.
	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	* elf/rtld.c: Modified.
	(notify_audit_modules_of_loaded_object): Remove function.
	(load_audit_modules): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)][SHARED](_dl_audit_objopen): New function.

2021-12-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ae49f218daca0b7cab27764da4081e6509bc7345
	hurd: Fix static-PIE startup

	* hurd/dtable.c: Modified.
	(init_dtable): Modified function.
	(text_set_element): Modified.
	(text_set_element): Modified.
	(text_set_element): Modified.
	(text_set_element): Remove.
	(SET_RELHOOK): New function.
	* hurd/hurdid.c: Modified.
	(init_id): Modified function.
	(text_set_element): Remove.
	(set-hooks.h): Include file.
	(SET_RELHOOK): New function.
	* hurd/hurdinit.c: Modified.
	(_hurd_init): Modified function.
	(_hurd_new_proc_init): Modified function.
	(_hurd_setproc): Modified function.
	* hurd/hurdmalloc.c: Modified.
	(malloc_init): Modified function.
	(text_set_element): Remove.
	(set-hooks.h): Include file.
	(SET_RELHOOK): New function.
	* hurd/hurdpid.c: Modified.
	(init_pids): Modified function.
	(text_set_element): Remove.
	(SET_RELHOOK): New function.
	(set-hooks.h): Include file.
	* hurd/hurdrlimit.c: Modified.
	(init_rlimit): Modified function.
	(text_set_element): Remove.
	(set-hooks.h): Include file.
	(SET_RELHOOK): New function.
	* hurd/hurdsock.c: Modified.
	(init): Modified function.
	(text_set_element): Remove.
	(set-hooks.h): Include file.
	(SET_RELHOOK): New function.
	* include/set-hooks.h: Modified.
	[! symbol_set_define](SET_RELHOOK): New.
	[! symbol_set_define](RUN_RELHOOK): New.
	[symbol_set_define][! SET_RELHOOK](SET_RELHOOK): New.
	[symbol_set_define][! SET_RELHOOK](RUN_RELHOOK): New.
	[symbol_set_define][SET_RELHOOK](RUN_RELHOOK): New.
	(set-hooks-arch.h): Include file.
	* sysdeps/generic/set-hooks-arch.h: New file.
	* sysdeps/i386/set-hooks-arch.h: New file.
	* sysdeps/mach/hurd/brk.c: Modified.
	(init_brk): Modified function.
	(text_set_element): Remove.
	(set-hooks.h): Include file.
	(SET_RELHOOK): New function.
	* sysdeps/mach/hurd/check_fds.c: Modified.
	(init_standard_fds): Modified function.
	(text_set_element): Remove.
	(SET_RELHOOK): New function.
	* sysdeps/mach/hurd/i386/init-first.c: Modified.
	(first_init): Modified function.
	* sysdeps/x86_64/set-hooks-arch.h: New file.

2021-12-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 2ce0481d26066b7d4e2c950da555a7ca20e313fb
	hurd: let csu initialize tls

	* hurd/hurd/userlink.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_userlink_link): Modified function.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_userlink_unlink): Modified function.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_userlink_move): Modified function.
	* sysdeps/mach/hurd/i386/init-first.c: Modified.
	(init): Modified function.
	* sysdeps/mach/hurd/libc-start.h: Delete file.

2021-12-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7b358de1af5473217fa1cee3838997add91c8311
	hurd: Fix XFAIL-ing mallocfork2 tests

	* sysdeps/mach/hurd/i386/Makefile: Modified.

2021-12-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 1c6e6e52e59c0dfeb208c91f8fd2006d86bd5734
	hurd: XFAIL more tests that require setpshared support

	* sysdeps/mach/hurd/i386/Makefile: Modified.

2021-12-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 53c38911b8c4baf4f4aed1c7b25fac0f5a1835e0
	malloc: Add missing shared thread library flags

	* malloc/Makefile: Modified.

2021-12-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 422e4cd0ffbd71456cbefcf8027c866638c7124f
	stdio-common: Fix %m sprintf test output for GNU/Hurd

	* stdio-common/tst-sprintf-errno.c: Modified.
	(do_test): Modified function.

2021-12-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: cca457f9c51a90cf82cae75432ed3de20942519c
	x86: Optimize L(less_vec) case in memcmpeq-evex.S

	* sysdeps/x86_64/multiarch/memcmpeq-evex.S: Modified.

2021-12-27  Noah Goldstein  <goldstein.w.n@gmail.com>

	COMMIT: abddd61de090ae84e380aff68a98bd94ef704667
	x86: Optimize L(less_vec) case in memcmp-evex-movbe.S

	* sysdeps/x86_64/multiarch/memcmp-evex-movbe.S: Modified.

2021-12-23  H.J. Lu  <hjl.tools@gmail.com>
            Chang S. Bae  <chang.seok.bae@intel.com>

	COMMIT: 268d812c19ef30b2f9d52dc517c27a349df25ca9
	elf: Remove AArch64 from comment for AT_MINSIGSTKSZ

	* elf/elf.h: Modified.

2021-12-23  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6e30181b4a3ab6c56da0378b65f4d60504982300
	math: Properly cast X_TLOSS to float [BZ #28713]

	* math/math-svid-compat.h: Modified.
	(AS_FLOAT_CONSTANT_1): New.
	(AS_FLOAT_CONSTANT): New.
	* math/w_j0f_compat.c: Modified.
	[LIBM_SVID_COMPAT](__j0f): Modified function.
	[LIBM_SVID_COMPAT](libm_alias_float): Modified function.
	* math/w_j1f_compat.c: Modified.
	[LIBM_SVID_COMPAT](__j1f): Modified function.
	[LIBM_SVID_COMPAT](libm_alias_float): Modified function.
	* math/w_jnf_compat.c: Modified.
	[LIBM_SVID_COMPAT](__jnf): Modified function.
	[LIBM_SVID_COMPAT](libm_alias_float): Modified function.

2021-12-23  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a4b413135535c83a25a8b2d661bf1c75006dfa15
	Set default __TIMESIZE default to 64

	* bits/timesize.h: Modified.
	(bits/wordsize.h): Remove include.
	(__TIMESIZE): Modified.
	* sysdeps/unix/sysv/linux/arc/bits/timesize.h: Move to...
	* sysdeps/mach/hurd/bits/timesize.h: ... here.
	(bits/wordsize.h): Remove include.
	(__TIMESIZE): Modified.
	* sysdeps/unix/sysv/linux/arm/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/csky/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/hppa/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/m68k/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/microblaze/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/riscv/bits/timesize.h: Move to...
	* sysdeps/unix/sysv/linux/nios2/bits/timesize.h: ... here.
	(bits/wordsize.h): Remove include.
	(__TIMESIZE): Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/sh/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/x86/bits/timesize.h: Modified.
	(bits/wordsize.h): Include file.

2021-12-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9702a7901e18460e8ffc5f56a493d41294a8e936
	stdio: Implement %#m for vfprintf and related functions

	* NEWS: Modified.
	* manual/stdio.texi: Modified.
	* stdio-common/Makefile: Modified.
	* stdio-common/tst-sprintf-errno.c: New file.
	* stdio-common/vfprintf-internal.c: Modified.
	(process_arg): Modified.

2021-12-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cd0c333d2ea82d0ae14719bdbef86d99615bdb00
	elf: Remove unused NEED_DL_BASE_ADDR and _dl_base_addr

	* elf/dl-sysdep.c: Modified.
	[NEED_DL_BASE_ADDR](_dl_base_addr): Remove.
	(_dl_sysdep_start): Modified function.

2021-12-22  Sunil K Pandey  <skpgkp2@gmail.com>

	COMMIT: f20f980c71651e2b2c49e717f547d958cbe29a55
	x86-64: Add vector acos/acosf implementation to libmvec

	* bits/libm-simd-decl-stubs.h: Modified.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acos): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosl): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf16): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf32): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf64): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf128): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf32x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf64x): New.
	[! _BITS_LIBM_SIMD_DECL_STUBS_H](__DECL_SIMD_acosf128x): New.
	* math/bits/mathcalls.h: Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL_VEC): Modified.
	(__MATHCALL): Modified.
	(__MATHCALL): Remove.
	(__MATHCALL_VEC): New function.
	* sysdeps/unix/sysv/linux/x86_64/libmvec.abilist: Modified.
	* sysdeps/x86/fpu/bits/math-vector.h: Modified.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_acos): New.
	[__x86_64__ &&  __FAST_MATH__][__DECL_SIMD_x86_64](__DECL_SIMD_acosf): New.
	* sysdeps/x86/fpu/finclude/math-vector-fortran.h: Modified.
	* sysdeps/x86_64/fpu/Makeconfig: Modified.
	* sysdeps/x86_64/fpu/Versions: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.
	* sysdeps/x86_64/fpu/multiarch/ifunc-mathvec-avx512-skx.h: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos2_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos2_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos2_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos4_core-sse.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos4_core_avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos8_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos8_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_d_acos8_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf16_core-avx2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf16_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf16_core_avx512.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf4_core-sse2.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf4_core.c: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf4_core_sse4.S: New file.
	* sysdeps/x86_64/fpu/multiarch/svml_s_acosf8_core-sse.S: New file.
